<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AantekeningKadastraalObjectLijst StructType
 * @subpackage Structs
 */
class AantekeningKadastraalObjectLijst extends AbstractStructBase
{
    /**
     * The aantekeningen
     * @var \ArrayType\AantekeningKadastraalObjectArray
     */
    public $aantekeningen;
    /**
     * The indicatie_compleet
     * @var bool
     */
    public $indicatie_compleet;
    /**
     * Constructor method for AantekeningKadastraalObjectLijst
     * @uses AantekeningKadastraalObjectLijst::setAantekeningen()
     * @uses AantekeningKadastraalObjectLijst::setIndicatie_compleet()
     * @param \ArrayType\AantekeningKadastraalObjectArray $aantekeningen
     * @param bool $indicatie_compleet
     */
    public function __construct(\ArrayType\AantekeningKadastraalObjectArray $aantekeningen = null, $indicatie_compleet = null)
    {
        $this
            ->setAantekeningen($aantekeningen)
            ->setIndicatie_compleet($indicatie_compleet);
    }
    /**
     * Get aantekeningen value
     * @return \ArrayType\AantekeningKadastraalObjectArray|null
     */
    public function getAantekeningen()
    {
        return $this->aantekeningen;
    }
    /**
     * Set aantekeningen value
     * @param \ArrayType\AantekeningKadastraalObjectArray $aantekeningen
     * @return \StructType\AantekeningKadastraalObjectLijst
     */
    public function setAantekeningen(\ArrayType\AantekeningKadastraalObjectArray $aantekeningen = null)
    {
        $this->aantekeningen = $aantekeningen;
        return $this;
    }
    /**
     * Get indicatie_compleet value
     * @return bool|null
     */
    public function getIndicatie_compleet()
    {
        return $this->indicatie_compleet;
    }
    /**
     * Set indicatie_compleet value
     * @param bool $indicatie_compleet
     * @return \StructType\AantekeningKadastraalObjectLijst
     */
    public function setIndicatie_compleet($indicatie_compleet = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_compleet) && !is_bool($indicatie_compleet)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_compleet, true), gettype($indicatie_compleet)), __LINE__);
        }
        $this->indicatie_compleet = $indicatie_compleet;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AantekeningKadastraalObjectLijst
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
