<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BelgianBusinessSocialBalance StructType
 * @subpackage Structs
 */
class BelgianBusinessSocialBalance extends AbstractStructBase
{
    /**
     * The employees_worked_hours
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $employees_worked_hours;
    /**
     * The advantages_addition_wages
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $advantages_addition_wages;
    /**
     * The professional_training_hours
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $professional_training_hours;
    /**
     * The professional_training_net_costs
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $professional_training_net_costs;
    /**
     * The average_number_of_employees_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $average_number_of_employees_fte;
    /**
     * The employees_end_of_year_management_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_end_of_year_management_fte;
    /**
     * The employees_end_of_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_end_of_year;
    /**
     * The employees_end_of_year_workers_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_end_of_year_workers_fte;
    /**
     * The employees_end_of_year_others_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_end_of_year_others_fte;
    /**
     * The employees_new_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_new_fte;
    /**
     * The employees_end_of_year_men_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_end_of_year_men_fte;
    /**
     * The employees_end_of_year_women_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_end_of_year_women_fte;
    /**
     * The employees_end_of_year_university_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_end_of_year_university_fte;
    /**
     * The employees_end_of_year_non_university_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_end_of_year_non_university_fte;
    /**
     * The employees_end_of_year_secondary_education_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_end_of_year_secondary_education_fte;
    /**
     * The employees_end_of_year_primary_education_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_end_of_year_primary_education_fte;
    /**
     * The employees_contract_indefinite_period_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_contract_indefinite_period_fte;
    /**
     * The employees_contract_definite_period_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_contract_definite_period_fte;
    /**
     * The employees_contract_termination_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_contract_termination_fte;
    /**
     * The employees_contract_termination_retirement_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_contract_termination_retirement_fte;
    /**
     * The employees_contract_termination_early_retirement_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_contract_termination_early_retirement_fte;
    /**
     * The employees_contract_termination_dismissal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_contract_termination_dismissal;
    /**
     * The employees_contract_termination_other_reason
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_contract_termination_other_reason;
    /**
     * The hired_temporary_staff_fte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $hired_temporary_staff_fte;
    /**
     * The hired_temporary_staff_worked_hours
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $hired_temporary_staff_worked_hours;
    /**
     * The hired_temporary_staff_costs
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $hired_temporary_staff_costs;
    /**
     * Constructor method for BelgianBusinessSocialBalance
     * @uses BelgianBusinessSocialBalance::setEmployees_worked_hours()
     * @uses BelgianBusinessSocialBalance::setAdvantages_addition_wages()
     * @uses BelgianBusinessSocialBalance::setProfessional_training_hours()
     * @uses BelgianBusinessSocialBalance::setProfessional_training_net_costs()
     * @uses BelgianBusinessSocialBalance::setAverage_number_of_employees_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_end_of_year_management_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_end_of_year()
     * @uses BelgianBusinessSocialBalance::setEmployees_end_of_year_workers_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_end_of_year_others_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_new_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_end_of_year_men_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_end_of_year_women_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_end_of_year_university_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_end_of_year_non_university_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_end_of_year_secondary_education_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_end_of_year_primary_education_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_contract_indefinite_period_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_contract_definite_period_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_contract_termination_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_contract_termination_retirement_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_contract_termination_early_retirement_fte()
     * @uses BelgianBusinessSocialBalance::setEmployees_contract_termination_dismissal()
     * @uses BelgianBusinessSocialBalance::setEmployees_contract_termination_other_reason()
     * @uses BelgianBusinessSocialBalance::setHired_temporary_staff_fte()
     * @uses BelgianBusinessSocialBalance::setHired_temporary_staff_worked_hours()
     * @uses BelgianBusinessSocialBalance::setHired_temporary_staff_costs()
     * @param int $employees_worked_hours
     * @param float $advantages_addition_wages
     * @param float $professional_training_hours
     * @param float $professional_training_net_costs
     * @param float $average_number_of_employees_fte
     * @param float $employees_end_of_year_management_fte
     * @param float $employees_end_of_year
     * @param float $employees_end_of_year_workers_fte
     * @param float $employees_end_of_year_others_fte
     * @param float $employees_new_fte
     * @param float $employees_end_of_year_men_fte
     * @param float $employees_end_of_year_women_fte
     * @param float $employees_end_of_year_university_fte
     * @param float $employees_end_of_year_non_university_fte
     * @param float $employees_end_of_year_secondary_education_fte
     * @param float $employees_end_of_year_primary_education_fte
     * @param float $employees_contract_indefinite_period_fte
     * @param float $employees_contract_definite_period_fte
     * @param float $employees_contract_termination_fte
     * @param float $employees_contract_termination_retirement_fte
     * @param float $employees_contract_termination_early_retirement_fte
     * @param float $employees_contract_termination_dismissal
     * @param float $employees_contract_termination_other_reason
     * @param float $hired_temporary_staff_fte
     * @param float $hired_temporary_staff_worked_hours
     * @param float $hired_temporary_staff_costs
     */
    public function __construct($employees_worked_hours = null, $advantages_addition_wages = null, $professional_training_hours = null, $professional_training_net_costs = null, $average_number_of_employees_fte = null, $employees_end_of_year_management_fte = null, $employees_end_of_year = null, $employees_end_of_year_workers_fte = null, $employees_end_of_year_others_fte = null, $employees_new_fte = null, $employees_end_of_year_men_fte = null, $employees_end_of_year_women_fte = null, $employees_end_of_year_university_fte = null, $employees_end_of_year_non_university_fte = null, $employees_end_of_year_secondary_education_fte = null, $employees_end_of_year_primary_education_fte = null, $employees_contract_indefinite_period_fte = null, $employees_contract_definite_period_fte = null, $employees_contract_termination_fte = null, $employees_contract_termination_retirement_fte = null, $employees_contract_termination_early_retirement_fte = null, $employees_contract_termination_dismissal = null, $employees_contract_termination_other_reason = null, $hired_temporary_staff_fte = null, $hired_temporary_staff_worked_hours = null, $hired_temporary_staff_costs = null)
    {
        $this
            ->setEmployees_worked_hours($employees_worked_hours)
            ->setAdvantages_addition_wages($advantages_addition_wages)
            ->setProfessional_training_hours($professional_training_hours)
            ->setProfessional_training_net_costs($professional_training_net_costs)
            ->setAverage_number_of_employees_fte($average_number_of_employees_fte)
            ->setEmployees_end_of_year_management_fte($employees_end_of_year_management_fte)
            ->setEmployees_end_of_year($employees_end_of_year)
            ->setEmployees_end_of_year_workers_fte($employees_end_of_year_workers_fte)
            ->setEmployees_end_of_year_others_fte($employees_end_of_year_others_fte)
            ->setEmployees_new_fte($employees_new_fte)
            ->setEmployees_end_of_year_men_fte($employees_end_of_year_men_fte)
            ->setEmployees_end_of_year_women_fte($employees_end_of_year_women_fte)
            ->setEmployees_end_of_year_university_fte($employees_end_of_year_university_fte)
            ->setEmployees_end_of_year_non_university_fte($employees_end_of_year_non_university_fte)
            ->setEmployees_end_of_year_secondary_education_fte($employees_end_of_year_secondary_education_fte)
            ->setEmployees_end_of_year_primary_education_fte($employees_end_of_year_primary_education_fte)
            ->setEmployees_contract_indefinite_period_fte($employees_contract_indefinite_period_fte)
            ->setEmployees_contract_definite_period_fte($employees_contract_definite_period_fte)
            ->setEmployees_contract_termination_fte($employees_contract_termination_fte)
            ->setEmployees_contract_termination_retirement_fte($employees_contract_termination_retirement_fte)
            ->setEmployees_contract_termination_early_retirement_fte($employees_contract_termination_early_retirement_fte)
            ->setEmployees_contract_termination_dismissal($employees_contract_termination_dismissal)
            ->setEmployees_contract_termination_other_reason($employees_contract_termination_other_reason)
            ->setHired_temporary_staff_fte($hired_temporary_staff_fte)
            ->setHired_temporary_staff_worked_hours($hired_temporary_staff_worked_hours)
            ->setHired_temporary_staff_costs($hired_temporary_staff_costs);
    }
    /**
     * Get employees_worked_hours value
     * @return int|null
     */
    public function getEmployees_worked_hours()
    {
        return $this->employees_worked_hours;
    }
    /**
     * Set employees_worked_hours value
     * @param int $employees_worked_hours
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_worked_hours($employees_worked_hours = null)
    {
        // validation for constraint: int
        if (!is_null($employees_worked_hours) && !(is_int($employees_worked_hours) || ctype_digit($employees_worked_hours))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($employees_worked_hours, true), gettype($employees_worked_hours)), __LINE__);
        }
        $this->employees_worked_hours = $employees_worked_hours;
        return $this;
    }
    /**
     * Get advantages_addition_wages value
     * @return float|null
     */
    public function getAdvantages_addition_wages()
    {
        return $this->advantages_addition_wages;
    }
    /**
     * Set advantages_addition_wages value
     * @param float $advantages_addition_wages
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setAdvantages_addition_wages($advantages_addition_wages = null)
    {
        // validation for constraint: float
        if (!is_null($advantages_addition_wages) && !(is_float($advantages_addition_wages) || is_numeric($advantages_addition_wages))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($advantages_addition_wages, true), gettype($advantages_addition_wages)), __LINE__);
        }
        $this->advantages_addition_wages = $advantages_addition_wages;
        return $this;
    }
    /**
     * Get professional_training_hours value
     * @return float|null
     */
    public function getProfessional_training_hours()
    {
        return $this->professional_training_hours;
    }
    /**
     * Set professional_training_hours value
     * @param float $professional_training_hours
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setProfessional_training_hours($professional_training_hours = null)
    {
        // validation for constraint: float
        if (!is_null($professional_training_hours) && !(is_float($professional_training_hours) || is_numeric($professional_training_hours))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($professional_training_hours, true), gettype($professional_training_hours)), __LINE__);
        }
        $this->professional_training_hours = $professional_training_hours;
        return $this;
    }
    /**
     * Get professional_training_net_costs value
     * @return float|null
     */
    public function getProfessional_training_net_costs()
    {
        return $this->professional_training_net_costs;
    }
    /**
     * Set professional_training_net_costs value
     * @param float $professional_training_net_costs
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setProfessional_training_net_costs($professional_training_net_costs = null)
    {
        // validation for constraint: float
        if (!is_null($professional_training_net_costs) && !(is_float($professional_training_net_costs) || is_numeric($professional_training_net_costs))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($professional_training_net_costs, true), gettype($professional_training_net_costs)), __LINE__);
        }
        $this->professional_training_net_costs = $professional_training_net_costs;
        return $this;
    }
    /**
     * Get average_number_of_employees_fte value
     * @return float|null
     */
    public function getAverage_number_of_employees_fte()
    {
        return $this->average_number_of_employees_fte;
    }
    /**
     * Set average_number_of_employees_fte value
     * @param float $average_number_of_employees_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setAverage_number_of_employees_fte($average_number_of_employees_fte = null)
    {
        // validation for constraint: float
        if (!is_null($average_number_of_employees_fte) && !(is_float($average_number_of_employees_fte) || is_numeric($average_number_of_employees_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($average_number_of_employees_fte, true), gettype($average_number_of_employees_fte)), __LINE__);
        }
        $this->average_number_of_employees_fte = $average_number_of_employees_fte;
        return $this;
    }
    /**
     * Get employees_end_of_year_management_fte value
     * @return float|null
     */
    public function getEmployees_end_of_year_management_fte()
    {
        return $this->employees_end_of_year_management_fte;
    }
    /**
     * Set employees_end_of_year_management_fte value
     * @param float $employees_end_of_year_management_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_end_of_year_management_fte($employees_end_of_year_management_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_end_of_year_management_fte) && !(is_float($employees_end_of_year_management_fte) || is_numeric($employees_end_of_year_management_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_end_of_year_management_fte, true), gettype($employees_end_of_year_management_fte)), __LINE__);
        }
        $this->employees_end_of_year_management_fte = $employees_end_of_year_management_fte;
        return $this;
    }
    /**
     * Get employees_end_of_year value
     * @return float|null
     */
    public function getEmployees_end_of_year()
    {
        return $this->employees_end_of_year;
    }
    /**
     * Set employees_end_of_year value
     * @param float $employees_end_of_year
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_end_of_year($employees_end_of_year = null)
    {
        // validation for constraint: float
        if (!is_null($employees_end_of_year) && !(is_float($employees_end_of_year) || is_numeric($employees_end_of_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_end_of_year, true), gettype($employees_end_of_year)), __LINE__);
        }
        $this->employees_end_of_year = $employees_end_of_year;
        return $this;
    }
    /**
     * Get employees_end_of_year_workers_fte value
     * @return float|null
     */
    public function getEmployees_end_of_year_workers_fte()
    {
        return $this->employees_end_of_year_workers_fte;
    }
    /**
     * Set employees_end_of_year_workers_fte value
     * @param float $employees_end_of_year_workers_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_end_of_year_workers_fte($employees_end_of_year_workers_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_end_of_year_workers_fte) && !(is_float($employees_end_of_year_workers_fte) || is_numeric($employees_end_of_year_workers_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_end_of_year_workers_fte, true), gettype($employees_end_of_year_workers_fte)), __LINE__);
        }
        $this->employees_end_of_year_workers_fte = $employees_end_of_year_workers_fte;
        return $this;
    }
    /**
     * Get employees_end_of_year_others_fte value
     * @return float|null
     */
    public function getEmployees_end_of_year_others_fte()
    {
        return $this->employees_end_of_year_others_fte;
    }
    /**
     * Set employees_end_of_year_others_fte value
     * @param float $employees_end_of_year_others_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_end_of_year_others_fte($employees_end_of_year_others_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_end_of_year_others_fte) && !(is_float($employees_end_of_year_others_fte) || is_numeric($employees_end_of_year_others_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_end_of_year_others_fte, true), gettype($employees_end_of_year_others_fte)), __LINE__);
        }
        $this->employees_end_of_year_others_fte = $employees_end_of_year_others_fte;
        return $this;
    }
    /**
     * Get employees_new_fte value
     * @return float|null
     */
    public function getEmployees_new_fte()
    {
        return $this->employees_new_fte;
    }
    /**
     * Set employees_new_fte value
     * @param float $employees_new_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_new_fte($employees_new_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_new_fte) && !(is_float($employees_new_fte) || is_numeric($employees_new_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_new_fte, true), gettype($employees_new_fte)), __LINE__);
        }
        $this->employees_new_fte = $employees_new_fte;
        return $this;
    }
    /**
     * Get employees_end_of_year_men_fte value
     * @return float|null
     */
    public function getEmployees_end_of_year_men_fte()
    {
        return $this->employees_end_of_year_men_fte;
    }
    /**
     * Set employees_end_of_year_men_fte value
     * @param float $employees_end_of_year_men_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_end_of_year_men_fte($employees_end_of_year_men_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_end_of_year_men_fte) && !(is_float($employees_end_of_year_men_fte) || is_numeric($employees_end_of_year_men_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_end_of_year_men_fte, true), gettype($employees_end_of_year_men_fte)), __LINE__);
        }
        $this->employees_end_of_year_men_fte = $employees_end_of_year_men_fte;
        return $this;
    }
    /**
     * Get employees_end_of_year_women_fte value
     * @return float|null
     */
    public function getEmployees_end_of_year_women_fte()
    {
        return $this->employees_end_of_year_women_fte;
    }
    /**
     * Set employees_end_of_year_women_fte value
     * @param float $employees_end_of_year_women_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_end_of_year_women_fte($employees_end_of_year_women_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_end_of_year_women_fte) && !(is_float($employees_end_of_year_women_fte) || is_numeric($employees_end_of_year_women_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_end_of_year_women_fte, true), gettype($employees_end_of_year_women_fte)), __LINE__);
        }
        $this->employees_end_of_year_women_fte = $employees_end_of_year_women_fte;
        return $this;
    }
    /**
     * Get employees_end_of_year_university_fte value
     * @return float|null
     */
    public function getEmployees_end_of_year_university_fte()
    {
        return $this->employees_end_of_year_university_fte;
    }
    /**
     * Set employees_end_of_year_university_fte value
     * @param float $employees_end_of_year_university_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_end_of_year_university_fte($employees_end_of_year_university_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_end_of_year_university_fte) && !(is_float($employees_end_of_year_university_fte) || is_numeric($employees_end_of_year_university_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_end_of_year_university_fte, true), gettype($employees_end_of_year_university_fte)), __LINE__);
        }
        $this->employees_end_of_year_university_fte = $employees_end_of_year_university_fte;
        return $this;
    }
    /**
     * Get employees_end_of_year_non_university_fte value
     * @return float|null
     */
    public function getEmployees_end_of_year_non_university_fte()
    {
        return $this->employees_end_of_year_non_university_fte;
    }
    /**
     * Set employees_end_of_year_non_university_fte value
     * @param float $employees_end_of_year_non_university_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_end_of_year_non_university_fte($employees_end_of_year_non_university_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_end_of_year_non_university_fte) && !(is_float($employees_end_of_year_non_university_fte) || is_numeric($employees_end_of_year_non_university_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_end_of_year_non_university_fte, true), gettype($employees_end_of_year_non_university_fte)), __LINE__);
        }
        $this->employees_end_of_year_non_university_fte = $employees_end_of_year_non_university_fte;
        return $this;
    }
    /**
     * Get employees_end_of_year_secondary_education_fte value
     * @return float|null
     */
    public function getEmployees_end_of_year_secondary_education_fte()
    {
        return $this->employees_end_of_year_secondary_education_fte;
    }
    /**
     * Set employees_end_of_year_secondary_education_fte value
     * @param float $employees_end_of_year_secondary_education_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_end_of_year_secondary_education_fte($employees_end_of_year_secondary_education_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_end_of_year_secondary_education_fte) && !(is_float($employees_end_of_year_secondary_education_fte) || is_numeric($employees_end_of_year_secondary_education_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_end_of_year_secondary_education_fte, true), gettype($employees_end_of_year_secondary_education_fte)), __LINE__);
        }
        $this->employees_end_of_year_secondary_education_fte = $employees_end_of_year_secondary_education_fte;
        return $this;
    }
    /**
     * Get employees_end_of_year_primary_education_fte value
     * @return float|null
     */
    public function getEmployees_end_of_year_primary_education_fte()
    {
        return $this->employees_end_of_year_primary_education_fte;
    }
    /**
     * Set employees_end_of_year_primary_education_fte value
     * @param float $employees_end_of_year_primary_education_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_end_of_year_primary_education_fte($employees_end_of_year_primary_education_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_end_of_year_primary_education_fte) && !(is_float($employees_end_of_year_primary_education_fte) || is_numeric($employees_end_of_year_primary_education_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_end_of_year_primary_education_fte, true), gettype($employees_end_of_year_primary_education_fte)), __LINE__);
        }
        $this->employees_end_of_year_primary_education_fte = $employees_end_of_year_primary_education_fte;
        return $this;
    }
    /**
     * Get employees_contract_indefinite_period_fte value
     * @return float|null
     */
    public function getEmployees_contract_indefinite_period_fte()
    {
        return $this->employees_contract_indefinite_period_fte;
    }
    /**
     * Set employees_contract_indefinite_period_fte value
     * @param float $employees_contract_indefinite_period_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_contract_indefinite_period_fte($employees_contract_indefinite_period_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_contract_indefinite_period_fte) && !(is_float($employees_contract_indefinite_period_fte) || is_numeric($employees_contract_indefinite_period_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_contract_indefinite_period_fte, true), gettype($employees_contract_indefinite_period_fte)), __LINE__);
        }
        $this->employees_contract_indefinite_period_fte = $employees_contract_indefinite_period_fte;
        return $this;
    }
    /**
     * Get employees_contract_definite_period_fte value
     * @return float|null
     */
    public function getEmployees_contract_definite_period_fte()
    {
        return $this->employees_contract_definite_period_fte;
    }
    /**
     * Set employees_contract_definite_period_fte value
     * @param float $employees_contract_definite_period_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_contract_definite_period_fte($employees_contract_definite_period_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_contract_definite_period_fte) && !(is_float($employees_contract_definite_period_fte) || is_numeric($employees_contract_definite_period_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_contract_definite_period_fte, true), gettype($employees_contract_definite_period_fte)), __LINE__);
        }
        $this->employees_contract_definite_period_fte = $employees_contract_definite_period_fte;
        return $this;
    }
    /**
     * Get employees_contract_termination_fte value
     * @return float|null
     */
    public function getEmployees_contract_termination_fte()
    {
        return $this->employees_contract_termination_fte;
    }
    /**
     * Set employees_contract_termination_fte value
     * @param float $employees_contract_termination_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_contract_termination_fte($employees_contract_termination_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_contract_termination_fte) && !(is_float($employees_contract_termination_fte) || is_numeric($employees_contract_termination_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_contract_termination_fte, true), gettype($employees_contract_termination_fte)), __LINE__);
        }
        $this->employees_contract_termination_fte = $employees_contract_termination_fte;
        return $this;
    }
    /**
     * Get employees_contract_termination_retirement_fte value
     * @return float|null
     */
    public function getEmployees_contract_termination_retirement_fte()
    {
        return $this->employees_contract_termination_retirement_fte;
    }
    /**
     * Set employees_contract_termination_retirement_fte value
     * @param float $employees_contract_termination_retirement_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_contract_termination_retirement_fte($employees_contract_termination_retirement_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_contract_termination_retirement_fte) && !(is_float($employees_contract_termination_retirement_fte) || is_numeric($employees_contract_termination_retirement_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_contract_termination_retirement_fte, true), gettype($employees_contract_termination_retirement_fte)), __LINE__);
        }
        $this->employees_contract_termination_retirement_fte = $employees_contract_termination_retirement_fte;
        return $this;
    }
    /**
     * Get employees_contract_termination_early_retirement_fte value
     * @return float|null
     */
    public function getEmployees_contract_termination_early_retirement_fte()
    {
        return $this->employees_contract_termination_early_retirement_fte;
    }
    /**
     * Set employees_contract_termination_early_retirement_fte value
     * @param float $employees_contract_termination_early_retirement_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_contract_termination_early_retirement_fte($employees_contract_termination_early_retirement_fte = null)
    {
        // validation for constraint: float
        if (!is_null($employees_contract_termination_early_retirement_fte) && !(is_float($employees_contract_termination_early_retirement_fte) || is_numeric($employees_contract_termination_early_retirement_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_contract_termination_early_retirement_fte, true), gettype($employees_contract_termination_early_retirement_fte)), __LINE__);
        }
        $this->employees_contract_termination_early_retirement_fte = $employees_contract_termination_early_retirement_fte;
        return $this;
    }
    /**
     * Get employees_contract_termination_dismissal value
     * @return float|null
     */
    public function getEmployees_contract_termination_dismissal()
    {
        return $this->employees_contract_termination_dismissal;
    }
    /**
     * Set employees_contract_termination_dismissal value
     * @param float $employees_contract_termination_dismissal
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_contract_termination_dismissal($employees_contract_termination_dismissal = null)
    {
        // validation for constraint: float
        if (!is_null($employees_contract_termination_dismissal) && !(is_float($employees_contract_termination_dismissal) || is_numeric($employees_contract_termination_dismissal))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_contract_termination_dismissal, true), gettype($employees_contract_termination_dismissal)), __LINE__);
        }
        $this->employees_contract_termination_dismissal = $employees_contract_termination_dismissal;
        return $this;
    }
    /**
     * Get employees_contract_termination_other_reason value
     * @return float|null
     */
    public function getEmployees_contract_termination_other_reason()
    {
        return $this->employees_contract_termination_other_reason;
    }
    /**
     * Set employees_contract_termination_other_reason value
     * @param float $employees_contract_termination_other_reason
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setEmployees_contract_termination_other_reason($employees_contract_termination_other_reason = null)
    {
        // validation for constraint: float
        if (!is_null($employees_contract_termination_other_reason) && !(is_float($employees_contract_termination_other_reason) || is_numeric($employees_contract_termination_other_reason))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_contract_termination_other_reason, true), gettype($employees_contract_termination_other_reason)), __LINE__);
        }
        $this->employees_contract_termination_other_reason = $employees_contract_termination_other_reason;
        return $this;
    }
    /**
     * Get hired_temporary_staff_fte value
     * @return float|null
     */
    public function getHired_temporary_staff_fte()
    {
        return $this->hired_temporary_staff_fte;
    }
    /**
     * Set hired_temporary_staff_fte value
     * @param float $hired_temporary_staff_fte
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setHired_temporary_staff_fte($hired_temporary_staff_fte = null)
    {
        // validation for constraint: float
        if (!is_null($hired_temporary_staff_fte) && !(is_float($hired_temporary_staff_fte) || is_numeric($hired_temporary_staff_fte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($hired_temporary_staff_fte, true), gettype($hired_temporary_staff_fte)), __LINE__);
        }
        $this->hired_temporary_staff_fte = $hired_temporary_staff_fte;
        return $this;
    }
    /**
     * Get hired_temporary_staff_worked_hours value
     * @return float|null
     */
    public function getHired_temporary_staff_worked_hours()
    {
        return $this->hired_temporary_staff_worked_hours;
    }
    /**
     * Set hired_temporary_staff_worked_hours value
     * @param float $hired_temporary_staff_worked_hours
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setHired_temporary_staff_worked_hours($hired_temporary_staff_worked_hours = null)
    {
        // validation for constraint: float
        if (!is_null($hired_temporary_staff_worked_hours) && !(is_float($hired_temporary_staff_worked_hours) || is_numeric($hired_temporary_staff_worked_hours))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($hired_temporary_staff_worked_hours, true), gettype($hired_temporary_staff_worked_hours)), __LINE__);
        }
        $this->hired_temporary_staff_worked_hours = $hired_temporary_staff_worked_hours;
        return $this;
    }
    /**
     * Get hired_temporary_staff_costs value
     * @return float|null
     */
    public function getHired_temporary_staff_costs()
    {
        return $this->hired_temporary_staff_costs;
    }
    /**
     * Set hired_temporary_staff_costs value
     * @param float $hired_temporary_staff_costs
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public function setHired_temporary_staff_costs($hired_temporary_staff_costs = null)
    {
        // validation for constraint: float
        if (!is_null($hired_temporary_staff_costs) && !(is_float($hired_temporary_staff_costs) || is_numeric($hired_temporary_staff_costs))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($hired_temporary_staff_costs, true), gettype($hired_temporary_staff_costs)), __LINE__);
        }
        $this->hired_temporary_staff_costs = $hired_temporary_staff_costs;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\BelgianBusinessSocialBalance
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
