<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for businessSearchSelectionResponseType StructType
 * @subpackage Structs
 */
class BusinessSearchSelectionResponseType extends AbstractStructBase
{
    /**
     * The out
     * @var \StructType\BusinessReferencePagedResult
     */
    public $out;
    /**
     * Constructor method for businessSearchSelectionResponseType
     * @uses BusinessSearchSelectionResponseType::setOut()
     * @param \StructType\BusinessReferencePagedResult $out
     */
    public function __construct(\StructType\BusinessReferencePagedResult $out = null)
    {
        $this
            ->setOut($out);
    }
    /**
     * Get out value
     * @return \StructType\BusinessReferencePagedResult|null
     */
    public function getOut()
    {
        return $this->out;
    }
    /**
     * Set out value
     * @param \StructType\BusinessReferencePagedResult $out
     * @return \StructType\BusinessSearchSelectionResponseType
     */
    public function setOut(\StructType\BusinessReferencePagedResult $out = null)
    {
        $this->out = $out;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\BusinessSearchSelectionResponseType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
