<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyAdditionalInformationHistoricalEventV2
 * StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationHistoricalEventV2 extends AbstractStructBase
{
    /**
     * The date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The previous_value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $previous_value;
    /**
     * The current_value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $current_value;
    /**
     * Constructor method for CreditsafeCompanyAdditionalInformationHistoricalEventV2
     * @uses CreditsafeCompanyAdditionalInformationHistoricalEventV2::setDate()
     * @uses CreditsafeCompanyAdditionalInformationHistoricalEventV2::setDescription()
     * @uses CreditsafeCompanyAdditionalInformationHistoricalEventV2::setPrevious_value()
     * @uses CreditsafeCompanyAdditionalInformationHistoricalEventV2::setCurrent_value()
     * @param string $date
     * @param string $description
     * @param string $previous_value
     * @param string $current_value
     */
    public function __construct($date = null, $description = null, $previous_value = null, $current_value = null)
    {
        $this
            ->setDate($date)
            ->setDescription($description)
            ->setPrevious_value($previous_value)
            ->setCurrent_value($current_value);
    }
    /**
     * Get date value
     * @return string|null
     */
    public function getDate()
    {
        return $this->date;
    }
    /**
     * Set date value
     * @param string $date
     * @return \StructType\CreditsafeCompanyAdditionalInformationHistoricalEventV2
     */
    public function setDate($date = null)
    {
        // validation for constraint: string
        if (!is_null($date) && !is_string($date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date, true), gettype($date)), __LINE__);
        }
        $this->date = $date;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \StructType\CreditsafeCompanyAdditionalInformationHistoricalEventV2
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
    /**
     * Get previous_value value
     * @return string|null
     */
    public function getPrevious_value()
    {
        return $this->previous_value;
    }
    /**
     * Set previous_value value
     * @param string $previous_value
     * @return \StructType\CreditsafeCompanyAdditionalInformationHistoricalEventV2
     */
    public function setPrevious_value($previous_value = null)
    {
        // validation for constraint: string
        if (!is_null($previous_value) && !is_string($previous_value)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($previous_value, true), gettype($previous_value)), __LINE__);
        }
        $this->previous_value = $previous_value;
        return $this;
    }
    /**
     * Get current_value value
     * @return string|null
     */
    public function getCurrent_value()
    {
        return $this->current_value;
    }
    /**
     * Set current_value value
     * @param string $current_value
     * @return \StructType\CreditsafeCompanyAdditionalInformationHistoricalEventV2
     */
    public function setCurrent_value($current_value = null)
    {
        // validation for constraint: string
        if (!is_null($current_value) && !is_string($current_value)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($current_value, true), gettype($current_value)), __LINE__);
        }
        $this->current_value = $current_value;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyAdditionalInformationHistoricalEventV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
