<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for
 * CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2 extends AbstractStructBase
{
    /**
     * The payment_expectations_summary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2
     */
    public $payment_expectations_summary;
    /**
     * The miscellaneous
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2
     */
    public $miscellaneous;
    /**
     * The industy_comparison
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2
     */
    public $industy_comparison;
    /**
     * The industry_quartile_analysis
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2
     */
    public $industry_quartile_analysis;
    /**
     * The financial_items
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyAdditionalInformationNLFinancialItemV2Array
     */
    public $financial_items;
    /**
     * The kvk_filings
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyAdditionalInformationNLKvkFilingV2Array
     */
    public $kvk_filings;
    /**
     * The letters_of_liablility_information403
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2Array
     */
    public $letters_of_liablility_information403;
    /**
     * The comments
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array
     */
    public $comments;
    /**
     * The historical_events
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array
     */
    public $historical_events;
    /**
     * Constructor method for
     * CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     * @uses CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2::setPayment_expectations_summary()
     * @uses CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2::setMiscellaneous()
     * @uses CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2::setIndusty_comparison()
     * @uses CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2::setIndustry_quartile_analysis()
     * @uses CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2::setFinancial_items()
     * @uses CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2::setKvk_filings()
     * @uses CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2::setLetters_of_liablility_information403()
     * @uses CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2::setComments()
     * @uses CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2::setHistorical_events()
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2 $payment_expectations_summary
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2 $miscellaneous
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2 $industy_comparison
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2 $industry_quartile_analysis
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationNLFinancialItemV2Array $financial_items
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationNLKvkFilingV2Array $kvk_filings
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2Array $letters_of_liablility_information403
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array $comments
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array $historical_events
     */
    public function __construct(\StructType\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2 $payment_expectations_summary = null, \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2 $miscellaneous = null, \StructType\CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2 $industy_comparison = null, \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2 $industry_quartile_analysis = null, \ArrayType\CreditsafeCompanyAdditionalInformationNLFinancialItemV2Array $financial_items = null, \ArrayType\CreditsafeCompanyAdditionalInformationNLKvkFilingV2Array $kvk_filings = null, \ArrayType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2Array $letters_of_liablility_information403 = null, \ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array $comments = null, \ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array $historical_events = null)
    {
        $this
            ->setPayment_expectations_summary($payment_expectations_summary)
            ->setMiscellaneous($miscellaneous)
            ->setIndusty_comparison($industy_comparison)
            ->setIndustry_quartile_analysis($industry_quartile_analysis)
            ->setFinancial_items($financial_items)
            ->setKvk_filings($kvk_filings)
            ->setLetters_of_liablility_information403($letters_of_liablility_information403)
            ->setComments($comments)
            ->setHistorical_events($historical_events);
    }
    /**
     * Get payment_expectations_summary value
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2|null
     */
    public function getPayment_expectations_summary()
    {
        return $this->payment_expectations_summary;
    }
    /**
     * Set payment_expectations_summary value
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2 $payment_expectations_summary
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     */
    public function setPayment_expectations_summary(\StructType\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2 $payment_expectations_summary = null)
    {
        $this->payment_expectations_summary = $payment_expectations_summary;
        return $this;
    }
    /**
     * Get miscellaneous value
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2|null
     */
    public function getMiscellaneous()
    {
        return $this->miscellaneous;
    }
    /**
     * Set miscellaneous value
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2 $miscellaneous
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     */
    public function setMiscellaneous(\StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2 $miscellaneous = null)
    {
        $this->miscellaneous = $miscellaneous;
        return $this;
    }
    /**
     * Get industy_comparison value
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2|null
     */
    public function getIndusty_comparison()
    {
        return $this->industy_comparison;
    }
    /**
     * Set industy_comparison value
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2 $industy_comparison
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     */
    public function setIndusty_comparison(\StructType\CreditsafeCompanyAdditionalInformationNLIndustryComparisonV2 $industy_comparison = null)
    {
        $this->industy_comparison = $industy_comparison;
        return $this;
    }
    /**
     * Get industry_quartile_analysis value
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2|null
     */
    public function getIndustry_quartile_analysis()
    {
        return $this->industry_quartile_analysis;
    }
    /**
     * Set industry_quartile_analysis value
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2 $industry_quartile_analysis
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     */
    public function setIndustry_quartile_analysis(\StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2 $industry_quartile_analysis = null)
    {
        $this->industry_quartile_analysis = $industry_quartile_analysis;
        return $this;
    }
    /**
     * Get financial_items value
     * @return \ArrayType\CreditsafeCompanyAdditionalInformationNLFinancialItemV2Array|null
     */
    public function getFinancial_items()
    {
        return $this->financial_items;
    }
    /**
     * Set financial_items value
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationNLFinancialItemV2Array $financial_items
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     */
    public function setFinancial_items(\ArrayType\CreditsafeCompanyAdditionalInformationNLFinancialItemV2Array $financial_items = null)
    {
        $this->financial_items = $financial_items;
        return $this;
    }
    /**
     * Get kvk_filings value
     * @return \ArrayType\CreditsafeCompanyAdditionalInformationNLKvkFilingV2Array|null
     */
    public function getKvk_filings()
    {
        return $this->kvk_filings;
    }
    /**
     * Set kvk_filings value
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationNLKvkFilingV2Array $kvk_filings
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     */
    public function setKvk_filings(\ArrayType\CreditsafeCompanyAdditionalInformationNLKvkFilingV2Array $kvk_filings = null)
    {
        $this->kvk_filings = $kvk_filings;
        return $this;
    }
    /**
     * Get letters_of_liablility_information403 value
     * @return \ArrayType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2Array|null
     */
    public function getLetters_of_liablility_information403()
    {
        return $this->letters_of_liablility_information403;
    }
    /**
     * Set letters_of_liablility_information403 value
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2Array $letters_of_liablility_information403
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     */
    public function setLetters_of_liablility_information403(\ArrayType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2Array $letters_of_liablility_information403 = null)
    {
        $this->letters_of_liablility_information403 = $letters_of_liablility_information403;
        return $this;
    }
    /**
     * Get comments value
     * @return \ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array|null
     */
    public function getComments()
    {
        return $this->comments;
    }
    /**
     * Set comments value
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array $comments
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     */
    public function setComments(\ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array $comments = null)
    {
        $this->comments = $comments;
        return $this;
    }
    /**
     * Get historical_events value
     * @return \ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array|null
     */
    public function getHistorical_events()
    {
        return $this->historical_events;
    }
    /**
     * Set historical_events value
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array $historical_events
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     */
    public function setHistorical_events(\ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array $historical_events = null)
    {
        $this->historical_events = $historical_events;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
