<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for
 * CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2 extends AbstractStructBase
{
    /**
     * The payment_expectation_days
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2
     */
    public $payment_expectation_days;
    /**
     * The day_sales_outstanding
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2
     */
    public $day_sales_outstanding;
    /**
     * Constructor method for
     * CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2
     * @uses CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2::setPayment_expectation_days()
     * @uses CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2::setDay_sales_outstanding()
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2 $payment_expectation_days
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2 $day_sales_outstanding
     */
    public function __construct(\StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2 $payment_expectation_days = null, \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2 $day_sales_outstanding = null)
    {
        $this
            ->setPayment_expectation_days($payment_expectation_days)
            ->setDay_sales_outstanding($day_sales_outstanding);
    }
    /**
     * Get payment_expectation_days value
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2|null
     */
    public function getPayment_expectation_days()
    {
        return $this->payment_expectation_days;
    }
    /**
     * Set payment_expectation_days value
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2 $payment_expectation_days
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2
     */
    public function setPayment_expectation_days(\StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2 $payment_expectation_days = null)
    {
        $this->payment_expectation_days = $payment_expectation_days;
        return $this;
    }
    /**
     * Get day_sales_outstanding value
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2|null
     */
    public function getDay_sales_outstanding()
    {
        return $this->day_sales_outstanding;
    }
    /**
     * Set day_sales_outstanding value
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2 $day_sales_outstanding
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2
     */
    public function setDay_sales_outstanding(\StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisDayV2 $day_sales_outstanding = null)
    {
        $this->day_sales_outstanding = $day_sales_outstanding;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLIndustryQuartileAnalysisV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
