<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for
 * CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2 extends AbstractStructBase
{
    /**
     * The insolvency_events
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyNegativeInformationDEInsolvencyEventV2Array
     */
    public $insolvency_events;
    /**
     * The dateof_insolvency
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dateof_insolvency;
    /**
     * The trustee
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyNegativeInformationDETrusteeV2
     */
    public $trustee;
    /**
     * Constructor method for
     * CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2
     * @uses CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2::setInsolvency_events()
     * @uses CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2::setDateof_insolvency()
     * @uses CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2::setTrustee()
     * @param \ArrayType\CreditsafeCompanyNegativeInformationDEInsolvencyEventV2Array $insolvency_events
     * @param string $dateof_insolvency
     * @param \StructType\CreditsafeCompanyNegativeInformationDETrusteeV2 $trustee
     */
    public function __construct(\ArrayType\CreditsafeCompanyNegativeInformationDEInsolvencyEventV2Array $insolvency_events = null, $dateof_insolvency = null, \StructType\CreditsafeCompanyNegativeInformationDETrusteeV2 $trustee = null)
    {
        $this
            ->setInsolvency_events($insolvency_events)
            ->setDateof_insolvency($dateof_insolvency)
            ->setTrustee($trustee);
    }
    /**
     * Get insolvency_events value
     * @return \ArrayType\CreditsafeCompanyNegativeInformationDEInsolvencyEventV2Array|null
     */
    public function getInsolvency_events()
    {
        return $this->insolvency_events;
    }
    /**
     * Set insolvency_events value
     * @param \ArrayType\CreditsafeCompanyNegativeInformationDEInsolvencyEventV2Array $insolvency_events
     * @return \StructType\CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2
     */
    public function setInsolvency_events(\ArrayType\CreditsafeCompanyNegativeInformationDEInsolvencyEventV2Array $insolvency_events = null)
    {
        $this->insolvency_events = $insolvency_events;
        return $this;
    }
    /**
     * Get dateof_insolvency value
     * @return string|null
     */
    public function getDateof_insolvency()
    {
        return $this->dateof_insolvency;
    }
    /**
     * Set dateof_insolvency value
     * @param string $dateof_insolvency
     * @return \StructType\CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2
     */
    public function setDateof_insolvency($dateof_insolvency = null)
    {
        // validation for constraint: string
        if (!is_null($dateof_insolvency) && !is_string($dateof_insolvency)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dateof_insolvency, true), gettype($dateof_insolvency)), __LINE__);
        }
        $this->dateof_insolvency = $dateof_insolvency;
        return $this;
    }
    /**
     * Get trustee value
     * @return \StructType\CreditsafeCompanyNegativeInformationDETrusteeV2|null
     */
    public function getTrustee()
    {
        return $this->trustee;
    }
    /**
     * Set trustee value
     * @param \StructType\CreditsafeCompanyNegativeInformationDETrusteeV2 $trustee
     * @return \StructType\CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2
     */
    public function setTrustee(\StructType\CreditsafeCompanyNegativeInformationDETrusteeV2 $trustee = null)
    {
        $this->trustee = $trustee;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyNegativeInformationDEInsolvencyInformationV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
