<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeSearchCriteriaCombination StructType
 * @subpackage Structs
 */
class CreditsafeSearchCriteriaCombination extends AbstractStructBase
{
    /**
     * The params
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\CreditsafeSearchCriteriaParamArray
     */
    public $params;
    /**
     * Constructor method for CreditsafeSearchCriteriaCombination
     * @uses CreditsafeSearchCriteriaCombination::setParams()
     * @param \ArrayType\CreditsafeSearchCriteriaParamArray $params
     */
    public function __construct(\ArrayType\CreditsafeSearchCriteriaParamArray $params = null)
    {
        $this
            ->setParams($params);
    }
    /**
     * Get params value
     * @return \ArrayType\CreditsafeSearchCriteriaParamArray
     */
    public function getParams()
    {
        return $this->params;
    }
    /**
     * Set params value
     * @param \ArrayType\CreditsafeSearchCriteriaParamArray $params
     * @return \StructType\CreditsafeSearchCriteriaCombination
     */
    public function setParams(\ArrayType\CreditsafeSearchCriteriaParamArray $params = null)
    {
        $this->params = $params;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeSearchCriteriaCombination
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
