<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessGetConcernRelationsOverviewResult StructType
 * @subpackage Structs
 */
class DutchBusinessGetConcernRelationsOverviewResult extends AbstractStructBase
{
    /**
     * The references
     * @var \ArrayType\DutchBusinessGetConcernRelationsOverviewReferenceArray
     */
    public $references;
    /**
     * Constructor method for DutchBusinessGetConcernRelationsOverviewResult
     * @uses DutchBusinessGetConcernRelationsOverviewResult::setReferences()
     * @param \ArrayType\DutchBusinessGetConcernRelationsOverviewReferenceArray $references
     */
    public function __construct(\ArrayType\DutchBusinessGetConcernRelationsOverviewReferenceArray $references = null)
    {
        $this
            ->setReferences($references);
    }
    /**
     * Get references value
     * @return \ArrayType\DutchBusinessGetConcernRelationsOverviewReferenceArray|null
     */
    public function getReferences()
    {
        return $this->references;
    }
    /**
     * Set references value
     * @param \ArrayType\DutchBusinessGetConcernRelationsOverviewReferenceArray $references
     * @return \StructType\DutchBusinessGetConcernRelationsOverviewResult
     */
    public function setReferences(\ArrayType\DutchBusinessGetConcernRelationsOverviewReferenceArray $references = null)
    {
        $this->references = $references;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DutchBusinessGetConcernRelationsOverviewResult
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
