<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsolvencyAddresses StructType
 * @subpackage Structs
 */
class InsolvencyAddresses extends AbstractStructBase
{
    /**
     * The hidden
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $hidden;
    /**
     * The address
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\InsolvencyAddressArray
     */
    public $address;
    /**
     * Constructor method for InsolvencyAddresses
     * @uses InsolvencyAddresses::setHidden()
     * @uses InsolvencyAddresses::setAddress()
     * @param bool $hidden
     * @param \ArrayType\InsolvencyAddressArray $address
     */
    public function __construct($hidden = null, \ArrayType\InsolvencyAddressArray $address = null)
    {
        $this
            ->setHidden($hidden)
            ->setAddress($address);
    }
    /**
     * Get hidden value
     * @return bool|null
     */
    public function getHidden()
    {
        return $this->hidden;
    }
    /**
     * Set hidden value
     * @param bool $hidden
     * @return \StructType\InsolvencyAddresses
     */
    public function setHidden($hidden = null)
    {
        // validation for constraint: boolean
        if (!is_null($hidden) && !is_bool($hidden)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hidden, true), gettype($hidden)), __LINE__);
        }
        $this->hidden = $hidden;
        return $this;
    }
    /**
     * Get address value
     * @return \ArrayType\InsolvencyAddressArray|null
     */
    public function getAddress()
    {
        return $this->address;
    }
    /**
     * Set address value
     * @param \ArrayType\InsolvencyAddressArray $address
     * @return \StructType\InsolvencyAddresses
     */
    public function setAddress(\ArrayType\InsolvencyAddressArray $address = null)
    {
        $this->address = $address;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsolvencyAddresses
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
