<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kadasterBeknoptOnroerendeZaak StructType
 * @subpackage Structs
 */
class KadasterBeknoptOnroerendeZaak extends AbstractStructBase
{
    /**
     * The object_id
     * @var string
     */
    public $object_id;
    /**
     * The kadastrale_aanduiding
     * @var \StructType\KadastraleAanduiding
     */
    public $kadastrale_aanduiding;
    /**
     * The type
     * @var string
     */
    public $type;
    /**
     * The voorlopige_aantekening
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $voorlopige_aantekening;
    /**
     * The meerdere_splitsingen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $meerdere_splitsingen;
    /**
     * The gerechtigde
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterPersoon
     */
    public $gerechtigde;
    /**
     * The onverwerkte_documenten
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterHypotheekStukLijst
     */
    public $onverwerkte_documenten;
    /**
     * The grootte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $grootte;
    /**
     * The vastgestelde_grootte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $vastgestelde_grootte;
    /**
     * Constructor method for kadasterBeknoptOnroerendeZaak
     * @uses KadasterBeknoptOnroerendeZaak::setObject_id()
     * @uses KadasterBeknoptOnroerendeZaak::setKadastrale_aanduiding()
     * @uses KadasterBeknoptOnroerendeZaak::setType()
     * @uses KadasterBeknoptOnroerendeZaak::setVoorlopige_aantekening()
     * @uses KadasterBeknoptOnroerendeZaak::setMeerdere_splitsingen()
     * @uses KadasterBeknoptOnroerendeZaak::setGerechtigde()
     * @uses KadasterBeknoptOnroerendeZaak::setOnverwerkte_documenten()
     * @uses KadasterBeknoptOnroerendeZaak::setGrootte()
     * @uses KadasterBeknoptOnroerendeZaak::setVastgestelde_grootte()
     * @param string $object_id
     * @param \StructType\KadastraleAanduiding $kadastrale_aanduiding
     * @param string $type
     * @param bool $voorlopige_aantekening
     * @param bool $meerdere_splitsingen
     * @param \StructType\KadasterPersoon $gerechtigde
     * @param \StructType\KadasterHypotheekStukLijst $onverwerkte_documenten
     * @param float $grootte
     * @param bool $vastgestelde_grootte
     */
    public function __construct($object_id = null, \StructType\KadastraleAanduiding $kadastrale_aanduiding = null, $type = null, $voorlopige_aantekening = null, $meerdere_splitsingen = null, \StructType\KadasterPersoon $gerechtigde = null, \StructType\KadasterHypotheekStukLijst $onverwerkte_documenten = null, $grootte = null, $vastgestelde_grootte = null)
    {
        $this
            ->setObject_id($object_id)
            ->setKadastrale_aanduiding($kadastrale_aanduiding)
            ->setType($type)
            ->setVoorlopige_aantekening($voorlopige_aantekening)
            ->setMeerdere_splitsingen($meerdere_splitsingen)
            ->setGerechtigde($gerechtigde)
            ->setOnverwerkte_documenten($onverwerkte_documenten)
            ->setGrootte($grootte)
            ->setVastgestelde_grootte($vastgestelde_grootte);
    }
    /**
     * Get object_id value
     * @return string|null
     */
    public function getObject_id()
    {
        return $this->object_id;
    }
    /**
     * Set object_id value
     * @param string $object_id
     * @return \StructType\KadasterBeknoptOnroerendeZaak
     */
    public function setObject_id($object_id = null)
    {
        // validation for constraint: string
        if (!is_null($object_id) && !is_string($object_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($object_id, true), gettype($object_id)), __LINE__);
        }
        $this->object_id = $object_id;
        return $this;
    }
    /**
     * Get kadastrale_aanduiding value
     * @return \StructType\KadastraleAanduiding|null
     */
    public function getKadastrale_aanduiding()
    {
        return $this->kadastrale_aanduiding;
    }
    /**
     * Set kadastrale_aanduiding value
     * @param \StructType\KadastraleAanduiding $kadastrale_aanduiding
     * @return \StructType\KadasterBeknoptOnroerendeZaak
     */
    public function setKadastrale_aanduiding(\StructType\KadastraleAanduiding $kadastrale_aanduiding = null)
    {
        $this->kadastrale_aanduiding = $kadastrale_aanduiding;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \StructType\KadasterBeknoptOnroerendeZaak
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get voorlopige_aantekening value
     * @return bool|null
     */
    public function getVoorlopige_aantekening()
    {
        return $this->voorlopige_aantekening;
    }
    /**
     * Set voorlopige_aantekening value
     * @param bool $voorlopige_aantekening
     * @return \StructType\KadasterBeknoptOnroerendeZaak
     */
    public function setVoorlopige_aantekening($voorlopige_aantekening = null)
    {
        // validation for constraint: boolean
        if (!is_null($voorlopige_aantekening) && !is_bool($voorlopige_aantekening)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($voorlopige_aantekening, true), gettype($voorlopige_aantekening)), __LINE__);
        }
        $this->voorlopige_aantekening = $voorlopige_aantekening;
        return $this;
    }
    /**
     * Get meerdere_splitsingen value
     * @return bool|null
     */
    public function getMeerdere_splitsingen()
    {
        return $this->meerdere_splitsingen;
    }
    /**
     * Set meerdere_splitsingen value
     * @param bool $meerdere_splitsingen
     * @return \StructType\KadasterBeknoptOnroerendeZaak
     */
    public function setMeerdere_splitsingen($meerdere_splitsingen = null)
    {
        // validation for constraint: boolean
        if (!is_null($meerdere_splitsingen) && !is_bool($meerdere_splitsingen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($meerdere_splitsingen, true), gettype($meerdere_splitsingen)), __LINE__);
        }
        $this->meerdere_splitsingen = $meerdere_splitsingen;
        return $this;
    }
    /**
     * Get gerechtigde value
     * @return \StructType\KadasterPersoon|null
     */
    public function getGerechtigde()
    {
        return $this->gerechtigde;
    }
    /**
     * Set gerechtigde value
     * @param \StructType\KadasterPersoon $gerechtigde
     * @return \StructType\KadasterBeknoptOnroerendeZaak
     */
    public function setGerechtigde(\StructType\KadasterPersoon $gerechtigde = null)
    {
        $this->gerechtigde = $gerechtigde;
        return $this;
    }
    /**
     * Get onverwerkte_documenten value
     * @return \StructType\KadasterHypotheekStukLijst|null
     */
    public function getOnverwerkte_documenten()
    {
        return $this->onverwerkte_documenten;
    }
    /**
     * Set onverwerkte_documenten value
     * @param \StructType\KadasterHypotheekStukLijst $onverwerkte_documenten
     * @return \StructType\KadasterBeknoptOnroerendeZaak
     */
    public function setOnverwerkte_documenten(\StructType\KadasterHypotheekStukLijst $onverwerkte_documenten = null)
    {
        $this->onverwerkte_documenten = $onverwerkte_documenten;
        return $this;
    }
    /**
     * Get grootte value
     * @return float|null
     */
    public function getGrootte()
    {
        return $this->grootte;
    }
    /**
     * Set grootte value
     * @param float $grootte
     * @return \StructType\KadasterBeknoptOnroerendeZaak
     */
    public function setGrootte($grootte = null)
    {
        // validation for constraint: float
        if (!is_null($grootte) && !(is_float($grootte) || is_numeric($grootte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($grootte, true), gettype($grootte)), __LINE__);
        }
        $this->grootte = $grootte;
        return $this;
    }
    /**
     * Get vastgestelde_grootte value
     * @return bool|null
     */
    public function getVastgestelde_grootte()
    {
        return $this->vastgestelde_grootte;
    }
    /**
     * Set vastgestelde_grootte value
     * @param bool $vastgestelde_grootte
     * @return \StructType\KadasterBeknoptOnroerendeZaak
     */
    public function setVastgestelde_grootte($vastgestelde_grootte = null)
    {
        // validation for constraint: boolean
        if (!is_null($vastgestelde_grootte) && !is_bool($vastgestelde_grootte)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($vastgestelde_grootte, true), gettype($vastgestelde_grootte)), __LINE__);
        }
        $this->vastgestelde_grootte = $vastgestelde_grootte;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KadasterBeknoptOnroerendeZaak
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
