<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2Aanvulling StructType
 * @subpackage Structs
 */
class KadasterV2Aanvulling extends AbstractStructBase
{
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $type;
    /**
     * The aangeboden_stuk
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \StructType\KadasterV2AangebodenStuk
     */
    public $aangeboden_stuk;
    /**
     * Constructor method for KadasterV2Aanvulling
     * @uses KadasterV2Aanvulling::setType()
     * @uses KadasterV2Aanvulling::setAangeboden_stuk()
     * @param string $type
     * @param \StructType\KadasterV2AangebodenStuk $aangeboden_stuk
     */
    public function __construct($type = null, \StructType\KadasterV2AangebodenStuk $aangeboden_stuk = null)
    {
        $this
            ->setType($type)
            ->setAangeboden_stuk($aangeboden_stuk);
    }
    /**
     * Get type value
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \StructType\KadasterV2Aanvulling
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get aangeboden_stuk value
     * @return \StructType\KadasterV2AangebodenStuk
     */
    public function getAangeboden_stuk()
    {
        return $this->aangeboden_stuk;
    }
    /**
     * Set aangeboden_stuk value
     * @param \StructType\KadasterV2AangebodenStuk $aangeboden_stuk
     * @return \StructType\KadasterV2Aanvulling
     */
    public function setAangeboden_stuk(\StructType\KadasterV2AangebodenStuk $aangeboden_stuk = null)
    {
        $this->aangeboden_stuk = $aangeboden_stuk;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KadasterV2Aanvulling
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
