<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2BronDocumentResponse StructType
 * @subpackage Structs
 */
class KadasterV2BronDocumentResponse extends AbstractStructBase
{
    /**
     * The document
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $document;
    /**
     * Constructor method for KadasterV2BronDocumentResponse
     * @uses KadasterV2BronDocumentResponse::setDocument()
     * @param string $document
     */
    public function __construct($document = null)
    {
        $this
            ->setDocument($document);
    }
    /**
     * Get document value
     * @return string|null
     */
    public function getDocument()
    {
        return $this->document;
    }
    /**
     * Set document value
     * @param string $document
     * @return \StructType\KadasterV2BronDocumentResponse
     */
    public function setDocument($document = null)
    {
        // validation for constraint: string
        if (!is_null($document) && !is_string($document)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($document, true), gettype($document)), __LINE__);
        }
        $this->document = $document;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KadasterV2BronDocumentResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
