<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2Hoofdzaak StructType
 * @subpackage Structs
 */
class KadasterV2Hoofdzaak extends AbstractStructBase
{
    /**
     * The aandeel_in_mandeligheid
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2Breuk
     */
    public $aandeel_in_mandeligheid;
    /**
     * The betreft
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2OnroerendeZaak
     */
    public $betreft;
    /**
     * Constructor method for KadasterV2Hoofdzaak
     * @uses KadasterV2Hoofdzaak::setAandeel_in_mandeligheid()
     * @uses KadasterV2Hoofdzaak::setBetreft()
     * @param \StructType\KadasterV2Breuk $aandeel_in_mandeligheid
     * @param \StructType\KadasterV2OnroerendeZaak $betreft
     */
    public function __construct(\StructType\KadasterV2Breuk $aandeel_in_mandeligheid = null, \StructType\KadasterV2OnroerendeZaak $betreft = null)
    {
        $this
            ->setAandeel_in_mandeligheid($aandeel_in_mandeligheid)
            ->setBetreft($betreft);
    }
    /**
     * Get aandeel_in_mandeligheid value
     * @return \StructType\KadasterV2Breuk|null
     */
    public function getAandeel_in_mandeligheid()
    {
        return $this->aandeel_in_mandeligheid;
    }
    /**
     * Set aandeel_in_mandeligheid value
     * @param \StructType\KadasterV2Breuk $aandeel_in_mandeligheid
     * @return \StructType\KadasterV2Hoofdzaak
     */
    public function setAandeel_in_mandeligheid(\StructType\KadasterV2Breuk $aandeel_in_mandeligheid = null)
    {
        $this->aandeel_in_mandeligheid = $aandeel_in_mandeligheid;
        return $this;
    }
    /**
     * Get betreft value
     * @return \StructType\KadasterV2OnroerendeZaak|null
     */
    public function getBetreft()
    {
        return $this->betreft;
    }
    /**
     * Set betreft value
     * @param \StructType\KadasterV2OnroerendeZaak $betreft
     * @return \StructType\KadasterV2Hoofdzaak
     */
    public function setBetreft(\StructType\KadasterV2OnroerendeZaak $betreft = null)
    {
        $this->betreft = $betreft;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KadasterV2Hoofdzaak
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
