<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2JaarlijksBedrag StructType
 * @subpackage Structs
 */
class KadasterV2JaarlijksBedrag extends AbstractStructBase
{
    /**
     * The bedrag
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2Bedrag
     */
    public $bedrag;
    /**
     * The betreft_meer_onroerende_zaken
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $betreft_meer_onroerende_zaken;
    /**
     * Constructor method for KadasterV2JaarlijksBedrag
     * @uses KadasterV2JaarlijksBedrag::setBedrag()
     * @uses KadasterV2JaarlijksBedrag::setBetreft_meer_onroerende_zaken()
     * @param \StructType\KadasterV2Bedrag $bedrag
     * @param bool $betreft_meer_onroerende_zaken
     */
    public function __construct(\StructType\KadasterV2Bedrag $bedrag = null, $betreft_meer_onroerende_zaken = null)
    {
        $this
            ->setBedrag($bedrag)
            ->setBetreft_meer_onroerende_zaken($betreft_meer_onroerende_zaken);
    }
    /**
     * Get bedrag value
     * @return \StructType\KadasterV2Bedrag|null
     */
    public function getBedrag()
    {
        return $this->bedrag;
    }
    /**
     * Set bedrag value
     * @param \StructType\KadasterV2Bedrag $bedrag
     * @return \StructType\KadasterV2JaarlijksBedrag
     */
    public function setBedrag(\StructType\KadasterV2Bedrag $bedrag = null)
    {
        $this->bedrag = $bedrag;
        return $this;
    }
    /**
     * Get betreft_meer_onroerende_zaken value
     * @return bool|null
     */
    public function getBetreft_meer_onroerende_zaken()
    {
        return $this->betreft_meer_onroerende_zaken;
    }
    /**
     * Set betreft_meer_onroerende_zaken value
     * @param bool $betreft_meer_onroerende_zaken
     * @return \StructType\KadasterV2JaarlijksBedrag
     */
    public function setBetreft_meer_onroerende_zaken($betreft_meer_onroerende_zaken = null)
    {
        // validation for constraint: boolean
        if (!is_null($betreft_meer_onroerende_zaken) && !is_bool($betreft_meer_onroerende_zaken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($betreft_meer_onroerende_zaken, true), gettype($betreft_meer_onroerende_zaken)), __LINE__);
        }
        $this->betreft_meer_onroerende_zaken = $betreft_meer_onroerende_zaken;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KadasterV2JaarlijksBedrag
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
