<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Locatie StructType
 * @subpackage Structs
 */
class Locatie extends AbstractStructBase
{
    /**
     * The locatie_binnenland
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\LocatieBinnenland
     */
    public $locatie_binnenland;
    /**
     * The locatie_buitenland
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\LocatieBuitenland
     */
    public $locatie_buitenland;
    /**
     * Constructor method for Locatie
     * @uses Locatie::setLocatie_binnenland()
     * @uses Locatie::setLocatie_buitenland()
     * @param \StructType\LocatieBinnenland $locatie_binnenland
     * @param \StructType\LocatieBuitenland $locatie_buitenland
     */
    public function __construct(\StructType\LocatieBinnenland $locatie_binnenland = null, \StructType\LocatieBuitenland $locatie_buitenland = null)
    {
        $this
            ->setLocatie_binnenland($locatie_binnenland)
            ->setLocatie_buitenland($locatie_buitenland);
    }
    /**
     * Get locatie_binnenland value
     * @return \StructType\LocatieBinnenland|null
     */
    public function getLocatie_binnenland()
    {
        return $this->locatie_binnenland;
    }
    /**
     * Set locatie_binnenland value
     * @param \StructType\LocatieBinnenland $locatie_binnenland
     * @return \StructType\Locatie
     */
    public function setLocatie_binnenland(\StructType\LocatieBinnenland $locatie_binnenland = null)
    {
        $this->locatie_binnenland = $locatie_binnenland;
        return $this;
    }
    /**
     * Get locatie_buitenland value
     * @return \StructType\LocatieBuitenland|null
     */
    public function getLocatie_buitenland()
    {
        return $this->locatie_buitenland;
    }
    /**
     * Set locatie_buitenland value
     * @param \StructType\LocatieBuitenland $locatie_buitenland
     * @return \StructType\Locatie
     */
    public function setLocatie_buitenland(\StructType\LocatieBuitenland $locatie_buitenland = null)
    {
        $this->locatie_buitenland = $locatie_buitenland;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Locatie
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
