<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for routePlannerDescriptionAddressResponseType StructType
 * @subpackage Structs
 */
class RoutePlannerDescriptionAddressResponseType extends AbstractStructBase
{
    /**
     * The route
     * @var \ArrayType\RoutePartArray
     */
    public $route;
    /**
     * Constructor method for routePlannerDescriptionAddressResponseType
     * @uses RoutePlannerDescriptionAddressResponseType::setRoute()
     * @param \ArrayType\RoutePartArray $route
     */
    public function __construct(\ArrayType\RoutePartArray $route = null)
    {
        $this
            ->setRoute($route);
    }
    /**
     * Get route value
     * @return \ArrayType\RoutePartArray|null
     */
    public function getRoute()
    {
        return $this->route;
    }
    /**
     * Set route value
     * @param \ArrayType\RoutePartArray $route
     * @return \StructType\RoutePlannerDescriptionAddressResponseType
     */
    public function setRoute(\ArrayType\RoutePartArray $route = null)
    {
        $this->route = $route;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RoutePlannerDescriptionAddressResponseType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
