<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sepaConvertBasicBankAccountNumberResponseType StructType
 * @subpackage Structs
 */
class SepaConvertBasicBankAccountNumberResponseType extends AbstractStructBase
{
    /**
     * The bankaccount
     * @var \StructType\SepaBankAccountData
     */
    public $bankaccount;
    /**
     * Constructor method for sepaConvertBasicBankAccountNumberResponseType
     * @uses SepaConvertBasicBankAccountNumberResponseType::setBankaccount()
     * @param \StructType\SepaBankAccountData $bankaccount
     */
    public function __construct(\StructType\SepaBankAccountData $bankaccount = null)
    {
        $this
            ->setBankaccount($bankaccount);
    }
    /**
     * Get bankaccount value
     * @return \StructType\SepaBankAccountData|null
     */
    public function getBankaccount()
    {
        return $this->bankaccount;
    }
    /**
     * Set bankaccount value
     * @param \StructType\SepaBankAccountData $bankaccount
     * @return \StructType\SepaConvertBasicBankAccountNumberResponseType
     */
    public function setBankaccount(\StructType\SepaBankAccountData $bankaccount = null)
    {
        $this->bankaccount = $bankaccount;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SepaConvertBasicBankAccountNumberResponseType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
