<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for
 * CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2 extends AbstractStructBase
{
    /**
     * The miscellaneous
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationDEMiscellaneousV2
     */
    public $miscellaneous;
    /**
     * The image_accounts
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2
     */
    public $image_accounts;
    /**
     * The beneficiary_owners
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2
     */
    public $beneficiary_owners;
    /**
     * The turnover_ranges
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationDETurnoverRangeV2
     */
    public $turnover_ranges;
    /**
     * The comments
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array
     */
    public $comments;
    /**
     * The historical_events
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array
     */
    public $historical_events;
    /**
     * Constructor method for
     * CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2
     * @uses CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2::setMiscellaneous()
     * @uses CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2::setImage_accounts()
     * @uses CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2::setBeneficiary_owners()
     * @uses CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2::setTurnover_ranges()
     * @uses CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2::setComments()
     * @uses CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2::setHistorical_events()
     * @param \StructType\CreditsafeCompanyAdditionalInformationDEMiscellaneousV2 $miscellaneous
     * @param \StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2 $image_accounts
     * @param \StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2 $beneficiary_owners
     * @param \StructType\CreditsafeCompanyAdditionalInformationDETurnoverRangeV2 $turnover_ranges
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array $comments
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array $historical_events
     */
    public function __construct(\StructType\CreditsafeCompanyAdditionalInformationDEMiscellaneousV2 $miscellaneous = null, \StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2 $image_accounts = null, \StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2 $beneficiary_owners = null, \StructType\CreditsafeCompanyAdditionalInformationDETurnoverRangeV2 $turnover_ranges = null, \ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array $comments = null, \ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array $historical_events = null)
    {
        $this
            ->setMiscellaneous($miscellaneous)
            ->setImage_accounts($image_accounts)
            ->setBeneficiary_owners($beneficiary_owners)
            ->setTurnover_ranges($turnover_ranges)
            ->setComments($comments)
            ->setHistorical_events($historical_events);
    }
    /**
     * Get miscellaneous value
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEMiscellaneousV2|null
     */
    public function getMiscellaneous()
    {
        return $this->miscellaneous;
    }
    /**
     * Set miscellaneous value
     * @param \StructType\CreditsafeCompanyAdditionalInformationDEMiscellaneousV2 $miscellaneous
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2
     */
    public function setMiscellaneous(\StructType\CreditsafeCompanyAdditionalInformationDEMiscellaneousV2 $miscellaneous = null)
    {
        $this->miscellaneous = $miscellaneous;
        return $this;
    }
    /**
     * Get image_accounts value
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2|null
     */
    public function getImage_accounts()
    {
        return $this->image_accounts;
    }
    /**
     * Set image_accounts value
     * @param \StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2 $image_accounts
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2
     */
    public function setImage_accounts(\StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2 $image_accounts = null)
    {
        $this->image_accounts = $image_accounts;
        return $this;
    }
    /**
     * Get beneficiary_owners value
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2|null
     */
    public function getBeneficiary_owners()
    {
        return $this->beneficiary_owners;
    }
    /**
     * Set beneficiary_owners value
     * @param \StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2 $beneficiary_owners
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2
     */
    public function setBeneficiary_owners(\StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2 $beneficiary_owners = null)
    {
        $this->beneficiary_owners = $beneficiary_owners;
        return $this;
    }
    /**
     * Get turnover_ranges value
     * @return \StructType\CreditsafeCompanyAdditionalInformationDETurnoverRangeV2|null
     */
    public function getTurnover_ranges()
    {
        return $this->turnover_ranges;
    }
    /**
     * Set turnover_ranges value
     * @param \StructType\CreditsafeCompanyAdditionalInformationDETurnoverRangeV2 $turnover_ranges
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2
     */
    public function setTurnover_ranges(\StructType\CreditsafeCompanyAdditionalInformationDETurnoverRangeV2 $turnover_ranges = null)
    {
        $this->turnover_ranges = $turnover_ranges;
        return $this;
    }
    /**
     * Get comments value
     * @return \ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array|null
     */
    public function getComments()
    {
        return $this->comments;
    }
    /**
     * Set comments value
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array $comments
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2
     */
    public function setComments(\ArrayType\CreditsafeCompanyAdditionalInformationCommentV2Array $comments = null)
    {
        $this->comments = $comments;
        return $this;
    }
    /**
     * Get historical_events value
     * @return \ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array|null
     */
    public function getHistorical_events()
    {
        return $this->historical_events;
    }
    /**
     * Set historical_events value
     * @param \ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array $historical_events
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2
     */
    public function setHistorical_events(\ArrayType\CreditsafeCompanyAdditionalInformationHistoricalEventV2Array $historical_events = null)
    {
        $this->historical_events = $historical_events;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
