<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyAdditionalInformationNLKvkFilingV2
 * StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationNLKvkFilingV2 extends AbstractStructBase
{
    /**
     * The date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date;
    /**
     * The event
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $event;
    /**
     * Constructor method for CreditsafeCompanyAdditionalInformationNLKvkFilingV2
     * @uses CreditsafeCompanyAdditionalInformationNLKvkFilingV2::setDate()
     * @uses CreditsafeCompanyAdditionalInformationNLKvkFilingV2::setEvent()
     * @param string $date
     * @param string $event
     */
    public function __construct($date = null, $event = null)
    {
        $this
            ->setDate($date)
            ->setEvent($event);
    }
    /**
     * Get date value
     * @return string|null
     */
    public function getDate()
    {
        return $this->date;
    }
    /**
     * Set date value
     * @param string $date
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLKvkFilingV2
     */
    public function setDate($date = null)
    {
        // validation for constraint: string
        if (!is_null($date) && !is_string($date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date, true), gettype($date)), __LINE__);
        }
        $this->date = $date;
        return $this;
    }
    /**
     * Get event value
     * @return string|null
     */
    public function getEvent()
    {
        return $this->event;
    }
    /**
     * Set event value
     * @param string $event
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLKvkFilingV2
     */
    public function setEvent($event = null)
    {
        // validation for constraint: string
        if (!is_null($event) && !is_string($event)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($event, true), gettype($event)), __LINE__);
        }
        $this->event = $event;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLKvkFilingV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
