<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for
 * CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
 * StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2 extends AbstractStructBase
{
    /**
     * The financial_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $financial_year;
    /**
     * The company_name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $company_name;
    /**
     * The company_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $company_number;
    /**
     * The date_submitted
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date_submitted;
    /**
     * The letter_of_liability1_start_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability1_start_date;
    /**
     * The letter_of_liability1_submitted_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability1_submitted_date;
    /**
     * The letter_of_liability1_removal_submitted
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability1_removal_submitted;
    /**
     * The letter_of_liability1_removal_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability1_removal_date;
    /**
     * The letter_of_liability2_start_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability2_start_date;
    /**
     * The letter_of_liability2_submitted_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability2_submitted_date;
    /**
     * The letter_of_liability2_removal_submitted
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability2_removal_submitted;
    /**
     * The letter_of_liability2_removal_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability2_removal_date;
    /**
     * The letter_of_liability1_start_date_parent2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability1_start_date_parent2;
    /**
     * The letter_of_liability1_submitted_date_parent2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability1_submitted_date_parent2;
    /**
     * The letter_of_liability1_removal_submitted_parent2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability1_removal_submitted_parent2;
    /**
     * The letter_of_liability1_removal_date_parent2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability1_removal_date_parent2;
    /**
     * The letter_of_liability2_start_date_parent2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability2_start_date_parent2;
    /**
     * The letter_of_liability2_submitted_date_parent2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability2_submitted_date_parent2;
    /**
     * The letter_of_liability2_removal_submitted_parent2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability2_removal_submitted_parent2;
    /**
     * The letter_of_liability2_removal_date_parent2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $letter_of_liability2_removal_date_parent2;
    /**
     * Constructor method for
     * CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setFinancial_year()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setCompany_name()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setCompany_number()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setDate_submitted()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability1_start_date()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability1_submitted_date()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability1_removal_submitted()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability1_removal_date()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability2_start_date()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability2_submitted_date()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability2_removal_submitted()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability2_removal_date()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability1_start_date_parent2()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability1_submitted_date_parent2()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability1_removal_submitted_parent2()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability1_removal_date_parent2()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability2_start_date_parent2()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability2_submitted_date_parent2()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability2_removal_submitted_parent2()
     * @uses CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2::setLetter_of_liability2_removal_date_parent2()
     * @param int $financial_year
     * @param string $company_name
     * @param string $company_number
     * @param string $date_submitted
     * @param string $letter_of_liability1_start_date
     * @param string $letter_of_liability1_submitted_date
     * @param string $letter_of_liability1_removal_submitted
     * @param string $letter_of_liability1_removal_date
     * @param string $letter_of_liability2_start_date
     * @param string $letter_of_liability2_submitted_date
     * @param string $letter_of_liability2_removal_submitted
     * @param string $letter_of_liability2_removal_date
     * @param string $letter_of_liability1_start_date_parent2
     * @param string $letter_of_liability1_submitted_date_parent2
     * @param string $letter_of_liability1_removal_submitted_parent2
     * @param string $letter_of_liability1_removal_date_parent2
     * @param string $letter_of_liability2_start_date_parent2
     * @param string $letter_of_liability2_submitted_date_parent2
     * @param string $letter_of_liability2_removal_submitted_parent2
     * @param string $letter_of_liability2_removal_date_parent2
     */
    public function __construct($financial_year = null, $company_name = null, $company_number = null, $date_submitted = null, $letter_of_liability1_start_date = null, $letter_of_liability1_submitted_date = null, $letter_of_liability1_removal_submitted = null, $letter_of_liability1_removal_date = null, $letter_of_liability2_start_date = null, $letter_of_liability2_submitted_date = null, $letter_of_liability2_removal_submitted = null, $letter_of_liability2_removal_date = null, $letter_of_liability1_start_date_parent2 = null, $letter_of_liability1_submitted_date_parent2 = null, $letter_of_liability1_removal_submitted_parent2 = null, $letter_of_liability1_removal_date_parent2 = null, $letter_of_liability2_start_date_parent2 = null, $letter_of_liability2_submitted_date_parent2 = null, $letter_of_liability2_removal_submitted_parent2 = null, $letter_of_liability2_removal_date_parent2 = null)
    {
        $this
            ->setFinancial_year($financial_year)
            ->setCompany_name($company_name)
            ->setCompany_number($company_number)
            ->setDate_submitted($date_submitted)
            ->setLetter_of_liability1_start_date($letter_of_liability1_start_date)
            ->setLetter_of_liability1_submitted_date($letter_of_liability1_submitted_date)
            ->setLetter_of_liability1_removal_submitted($letter_of_liability1_removal_submitted)
            ->setLetter_of_liability1_removal_date($letter_of_liability1_removal_date)
            ->setLetter_of_liability2_start_date($letter_of_liability2_start_date)
            ->setLetter_of_liability2_submitted_date($letter_of_liability2_submitted_date)
            ->setLetter_of_liability2_removal_submitted($letter_of_liability2_removal_submitted)
            ->setLetter_of_liability2_removal_date($letter_of_liability2_removal_date)
            ->setLetter_of_liability1_start_date_parent2($letter_of_liability1_start_date_parent2)
            ->setLetter_of_liability1_submitted_date_parent2($letter_of_liability1_submitted_date_parent2)
            ->setLetter_of_liability1_removal_submitted_parent2($letter_of_liability1_removal_submitted_parent2)
            ->setLetter_of_liability1_removal_date_parent2($letter_of_liability1_removal_date_parent2)
            ->setLetter_of_liability2_start_date_parent2($letter_of_liability2_start_date_parent2)
            ->setLetter_of_liability2_submitted_date_parent2($letter_of_liability2_submitted_date_parent2)
            ->setLetter_of_liability2_removal_submitted_parent2($letter_of_liability2_removal_submitted_parent2)
            ->setLetter_of_liability2_removal_date_parent2($letter_of_liability2_removal_date_parent2);
    }
    /**
     * Get financial_year value
     * @return int|null
     */
    public function getFinancial_year()
    {
        return $this->financial_year;
    }
    /**
     * Set financial_year value
     * @param int $financial_year
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setFinancial_year($financial_year = null)
    {
        // validation for constraint: int
        if (!is_null($financial_year) && !(is_int($financial_year) || ctype_digit($financial_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($financial_year, true), gettype($financial_year)), __LINE__);
        }
        $this->financial_year = $financial_year;
        return $this;
    }
    /**
     * Get company_name value
     * @return string|null
     */
    public function getCompany_name()
    {
        return $this->company_name;
    }
    /**
     * Set company_name value
     * @param string $company_name
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setCompany_name($company_name = null)
    {
        // validation for constraint: string
        if (!is_null($company_name) && !is_string($company_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($company_name, true), gettype($company_name)), __LINE__);
        }
        $this->company_name = $company_name;
        return $this;
    }
    /**
     * Get company_number value
     * @return string|null
     */
    public function getCompany_number()
    {
        return $this->company_number;
    }
    /**
     * Set company_number value
     * @param string $company_number
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setCompany_number($company_number = null)
    {
        // validation for constraint: string
        if (!is_null($company_number) && !is_string($company_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($company_number, true), gettype($company_number)), __LINE__);
        }
        $this->company_number = $company_number;
        return $this;
    }
    /**
     * Get date_submitted value
     * @return string|null
     */
    public function getDate_submitted()
    {
        return $this->date_submitted;
    }
    /**
     * Set date_submitted value
     * @param string $date_submitted
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setDate_submitted($date_submitted = null)
    {
        // validation for constraint: string
        if (!is_null($date_submitted) && !is_string($date_submitted)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date_submitted, true), gettype($date_submitted)), __LINE__);
        }
        $this->date_submitted = $date_submitted;
        return $this;
    }
    /**
     * Get letter_of_liability1_start_date value
     * @return string|null
     */
    public function getLetter_of_liability1_start_date()
    {
        return $this->letter_of_liability1_start_date;
    }
    /**
     * Set letter_of_liability1_start_date value
     * @param string $letter_of_liability1_start_date
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability1_start_date($letter_of_liability1_start_date = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability1_start_date) && !is_string($letter_of_liability1_start_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability1_start_date, true), gettype($letter_of_liability1_start_date)), __LINE__);
        }
        $this->letter_of_liability1_start_date = $letter_of_liability1_start_date;
        return $this;
    }
    /**
     * Get letter_of_liability1_submitted_date value
     * @return string|null
     */
    public function getLetter_of_liability1_submitted_date()
    {
        return $this->letter_of_liability1_submitted_date;
    }
    /**
     * Set letter_of_liability1_submitted_date value
     * @param string $letter_of_liability1_submitted_date
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability1_submitted_date($letter_of_liability1_submitted_date = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability1_submitted_date) && !is_string($letter_of_liability1_submitted_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability1_submitted_date, true), gettype($letter_of_liability1_submitted_date)), __LINE__);
        }
        $this->letter_of_liability1_submitted_date = $letter_of_liability1_submitted_date;
        return $this;
    }
    /**
     * Get letter_of_liability1_removal_submitted value
     * @return string|null
     */
    public function getLetter_of_liability1_removal_submitted()
    {
        return $this->letter_of_liability1_removal_submitted;
    }
    /**
     * Set letter_of_liability1_removal_submitted value
     * @param string $letter_of_liability1_removal_submitted
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability1_removal_submitted($letter_of_liability1_removal_submitted = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability1_removal_submitted) && !is_string($letter_of_liability1_removal_submitted)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability1_removal_submitted, true), gettype($letter_of_liability1_removal_submitted)), __LINE__);
        }
        $this->letter_of_liability1_removal_submitted = $letter_of_liability1_removal_submitted;
        return $this;
    }
    /**
     * Get letter_of_liability1_removal_date value
     * @return string|null
     */
    public function getLetter_of_liability1_removal_date()
    {
        return $this->letter_of_liability1_removal_date;
    }
    /**
     * Set letter_of_liability1_removal_date value
     * @param string $letter_of_liability1_removal_date
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability1_removal_date($letter_of_liability1_removal_date = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability1_removal_date) && !is_string($letter_of_liability1_removal_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability1_removal_date, true), gettype($letter_of_liability1_removal_date)), __LINE__);
        }
        $this->letter_of_liability1_removal_date = $letter_of_liability1_removal_date;
        return $this;
    }
    /**
     * Get letter_of_liability2_start_date value
     * @return string|null
     */
    public function getLetter_of_liability2_start_date()
    {
        return $this->letter_of_liability2_start_date;
    }
    /**
     * Set letter_of_liability2_start_date value
     * @param string $letter_of_liability2_start_date
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability2_start_date($letter_of_liability2_start_date = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability2_start_date) && !is_string($letter_of_liability2_start_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability2_start_date, true), gettype($letter_of_liability2_start_date)), __LINE__);
        }
        $this->letter_of_liability2_start_date = $letter_of_liability2_start_date;
        return $this;
    }
    /**
     * Get letter_of_liability2_submitted_date value
     * @return string|null
     */
    public function getLetter_of_liability2_submitted_date()
    {
        return $this->letter_of_liability2_submitted_date;
    }
    /**
     * Set letter_of_liability2_submitted_date value
     * @param string $letter_of_liability2_submitted_date
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability2_submitted_date($letter_of_liability2_submitted_date = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability2_submitted_date) && !is_string($letter_of_liability2_submitted_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability2_submitted_date, true), gettype($letter_of_liability2_submitted_date)), __LINE__);
        }
        $this->letter_of_liability2_submitted_date = $letter_of_liability2_submitted_date;
        return $this;
    }
    /**
     * Get letter_of_liability2_removal_submitted value
     * @return string|null
     */
    public function getLetter_of_liability2_removal_submitted()
    {
        return $this->letter_of_liability2_removal_submitted;
    }
    /**
     * Set letter_of_liability2_removal_submitted value
     * @param string $letter_of_liability2_removal_submitted
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability2_removal_submitted($letter_of_liability2_removal_submitted = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability2_removal_submitted) && !is_string($letter_of_liability2_removal_submitted)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability2_removal_submitted, true), gettype($letter_of_liability2_removal_submitted)), __LINE__);
        }
        $this->letter_of_liability2_removal_submitted = $letter_of_liability2_removal_submitted;
        return $this;
    }
    /**
     * Get letter_of_liability2_removal_date value
     * @return string|null
     */
    public function getLetter_of_liability2_removal_date()
    {
        return $this->letter_of_liability2_removal_date;
    }
    /**
     * Set letter_of_liability2_removal_date value
     * @param string $letter_of_liability2_removal_date
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability2_removal_date($letter_of_liability2_removal_date = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability2_removal_date) && !is_string($letter_of_liability2_removal_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability2_removal_date, true), gettype($letter_of_liability2_removal_date)), __LINE__);
        }
        $this->letter_of_liability2_removal_date = $letter_of_liability2_removal_date;
        return $this;
    }
    /**
     * Get letter_of_liability1_start_date_parent2 value
     * @return string|null
     */
    public function getLetter_of_liability1_start_date_parent2()
    {
        return $this->letter_of_liability1_start_date_parent2;
    }
    /**
     * Set letter_of_liability1_start_date_parent2 value
     * @param string $letter_of_liability1_start_date_parent2
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability1_start_date_parent2($letter_of_liability1_start_date_parent2 = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability1_start_date_parent2) && !is_string($letter_of_liability1_start_date_parent2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability1_start_date_parent2, true), gettype($letter_of_liability1_start_date_parent2)), __LINE__);
        }
        $this->letter_of_liability1_start_date_parent2 = $letter_of_liability1_start_date_parent2;
        return $this;
    }
    /**
     * Get letter_of_liability1_submitted_date_parent2 value
     * @return string|null
     */
    public function getLetter_of_liability1_submitted_date_parent2()
    {
        return $this->letter_of_liability1_submitted_date_parent2;
    }
    /**
     * Set letter_of_liability1_submitted_date_parent2 value
     * @param string $letter_of_liability1_submitted_date_parent2
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability1_submitted_date_parent2($letter_of_liability1_submitted_date_parent2 = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability1_submitted_date_parent2) && !is_string($letter_of_liability1_submitted_date_parent2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability1_submitted_date_parent2, true), gettype($letter_of_liability1_submitted_date_parent2)), __LINE__);
        }
        $this->letter_of_liability1_submitted_date_parent2 = $letter_of_liability1_submitted_date_parent2;
        return $this;
    }
    /**
     * Get letter_of_liability1_removal_submitted_parent2 value
     * @return string|null
     */
    public function getLetter_of_liability1_removal_submitted_parent2()
    {
        return $this->letter_of_liability1_removal_submitted_parent2;
    }
    /**
     * Set letter_of_liability1_removal_submitted_parent2 value
     * @param string $letter_of_liability1_removal_submitted_parent2
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability1_removal_submitted_parent2($letter_of_liability1_removal_submitted_parent2 = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability1_removal_submitted_parent2) && !is_string($letter_of_liability1_removal_submitted_parent2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability1_removal_submitted_parent2, true), gettype($letter_of_liability1_removal_submitted_parent2)), __LINE__);
        }
        $this->letter_of_liability1_removal_submitted_parent2 = $letter_of_liability1_removal_submitted_parent2;
        return $this;
    }
    /**
     * Get letter_of_liability1_removal_date_parent2 value
     * @return string|null
     */
    public function getLetter_of_liability1_removal_date_parent2()
    {
        return $this->letter_of_liability1_removal_date_parent2;
    }
    /**
     * Set letter_of_liability1_removal_date_parent2 value
     * @param string $letter_of_liability1_removal_date_parent2
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability1_removal_date_parent2($letter_of_liability1_removal_date_parent2 = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability1_removal_date_parent2) && !is_string($letter_of_liability1_removal_date_parent2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability1_removal_date_parent2, true), gettype($letter_of_liability1_removal_date_parent2)), __LINE__);
        }
        $this->letter_of_liability1_removal_date_parent2 = $letter_of_liability1_removal_date_parent2;
        return $this;
    }
    /**
     * Get letter_of_liability2_start_date_parent2 value
     * @return string|null
     */
    public function getLetter_of_liability2_start_date_parent2()
    {
        return $this->letter_of_liability2_start_date_parent2;
    }
    /**
     * Set letter_of_liability2_start_date_parent2 value
     * @param string $letter_of_liability2_start_date_parent2
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability2_start_date_parent2($letter_of_liability2_start_date_parent2 = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability2_start_date_parent2) && !is_string($letter_of_liability2_start_date_parent2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability2_start_date_parent2, true), gettype($letter_of_liability2_start_date_parent2)), __LINE__);
        }
        $this->letter_of_liability2_start_date_parent2 = $letter_of_liability2_start_date_parent2;
        return $this;
    }
    /**
     * Get letter_of_liability2_submitted_date_parent2 value
     * @return string|null
     */
    public function getLetter_of_liability2_submitted_date_parent2()
    {
        return $this->letter_of_liability2_submitted_date_parent2;
    }
    /**
     * Set letter_of_liability2_submitted_date_parent2 value
     * @param string $letter_of_liability2_submitted_date_parent2
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability2_submitted_date_parent2($letter_of_liability2_submitted_date_parent2 = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability2_submitted_date_parent2) && !is_string($letter_of_liability2_submitted_date_parent2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability2_submitted_date_parent2, true), gettype($letter_of_liability2_submitted_date_parent2)), __LINE__);
        }
        $this->letter_of_liability2_submitted_date_parent2 = $letter_of_liability2_submitted_date_parent2;
        return $this;
    }
    /**
     * Get letter_of_liability2_removal_submitted_parent2 value
     * @return string|null
     */
    public function getLetter_of_liability2_removal_submitted_parent2()
    {
        return $this->letter_of_liability2_removal_submitted_parent2;
    }
    /**
     * Set letter_of_liability2_removal_submitted_parent2 value
     * @param string $letter_of_liability2_removal_submitted_parent2
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability2_removal_submitted_parent2($letter_of_liability2_removal_submitted_parent2 = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability2_removal_submitted_parent2) && !is_string($letter_of_liability2_removal_submitted_parent2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability2_removal_submitted_parent2, true), gettype($letter_of_liability2_removal_submitted_parent2)), __LINE__);
        }
        $this->letter_of_liability2_removal_submitted_parent2 = $letter_of_liability2_removal_submitted_parent2;
        return $this;
    }
    /**
     * Get letter_of_liability2_removal_date_parent2 value
     * @return string|null
     */
    public function getLetter_of_liability2_removal_date_parent2()
    {
        return $this->letter_of_liability2_removal_date_parent2;
    }
    /**
     * Set letter_of_liability2_removal_date_parent2 value
     * @param string $letter_of_liability2_removal_date_parent2
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public function setLetter_of_liability2_removal_date_parent2($letter_of_liability2_removal_date_parent2 = null)
    {
        // validation for constraint: string
        if (!is_null($letter_of_liability2_removal_date_parent2) && !is_string($letter_of_liability2_removal_date_parent2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letter_of_liability2_removal_date_parent2, true), gettype($letter_of_liability2_removal_date_parent2)), __LINE__);
        }
        $this->letter_of_liability2_removal_date_parent2 = $letter_of_liability2_removal_date_parent2;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLLetterOfLiabilityInformation403V2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
