<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyAdditionalInformationNLMiscellaneousV2
 * StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationNLMiscellaneousV2 extends AbstractStructBase
{
    /**
     * The date_of_legal_form
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date_of_legal_form;
    /**
     * The date_of_cessation_trading
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date_of_cessation_trading;
    /**
     * The exporter
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $exporter;
    /**
     * The importer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $importer;
    /**
     * The rsin_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $rsin_number;
    /**
     * The branch_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $branch_number;
    /**
     * The negative_rating
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $negative_rating;
    /**
     * Constructor method for CreditsafeCompanyAdditionalInformationNLMiscellaneousV2
     * @uses CreditsafeCompanyAdditionalInformationNLMiscellaneousV2::setDate_of_legal_form()
     * @uses CreditsafeCompanyAdditionalInformationNLMiscellaneousV2::setDate_of_cessation_trading()
     * @uses CreditsafeCompanyAdditionalInformationNLMiscellaneousV2::setExporter()
     * @uses CreditsafeCompanyAdditionalInformationNLMiscellaneousV2::setImporter()
     * @uses CreditsafeCompanyAdditionalInformationNLMiscellaneousV2::setRsin_number()
     * @uses CreditsafeCompanyAdditionalInformationNLMiscellaneousV2::setBranch_number()
     * @uses CreditsafeCompanyAdditionalInformationNLMiscellaneousV2::setNegative_rating()
     * @param string $date_of_legal_form
     * @param string $date_of_cessation_trading
     * @param string $exporter
     * @param string $importer
     * @param string $rsin_number
     * @param string $branch_number
     * @param int $negative_rating
     */
    public function __construct($date_of_legal_form = null, $date_of_cessation_trading = null, $exporter = null, $importer = null, $rsin_number = null, $branch_number = null, $negative_rating = null)
    {
        $this
            ->setDate_of_legal_form($date_of_legal_form)
            ->setDate_of_cessation_trading($date_of_cessation_trading)
            ->setExporter($exporter)
            ->setImporter($importer)
            ->setRsin_number($rsin_number)
            ->setBranch_number($branch_number)
            ->setNegative_rating($negative_rating);
    }
    /**
     * Get date_of_legal_form value
     * @return string|null
     */
    public function getDate_of_legal_form()
    {
        return $this->date_of_legal_form;
    }
    /**
     * Set date_of_legal_form value
     * @param string $date_of_legal_form
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2
     */
    public function setDate_of_legal_form($date_of_legal_form = null)
    {
        // validation for constraint: string
        if (!is_null($date_of_legal_form) && !is_string($date_of_legal_form)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date_of_legal_form, true), gettype($date_of_legal_form)), __LINE__);
        }
        $this->date_of_legal_form = $date_of_legal_form;
        return $this;
    }
    /**
     * Get date_of_cessation_trading value
     * @return string|null
     */
    public function getDate_of_cessation_trading()
    {
        return $this->date_of_cessation_trading;
    }
    /**
     * Set date_of_cessation_trading value
     * @param string $date_of_cessation_trading
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2
     */
    public function setDate_of_cessation_trading($date_of_cessation_trading = null)
    {
        // validation for constraint: string
        if (!is_null($date_of_cessation_trading) && !is_string($date_of_cessation_trading)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date_of_cessation_trading, true), gettype($date_of_cessation_trading)), __LINE__);
        }
        $this->date_of_cessation_trading = $date_of_cessation_trading;
        return $this;
    }
    /**
     * Get exporter value
     * @return string|null
     */
    public function getExporter()
    {
        return $this->exporter;
    }
    /**
     * Set exporter value
     * @param string $exporter
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2
     */
    public function setExporter($exporter = null)
    {
        // validation for constraint: string
        if (!is_null($exporter) && !is_string($exporter)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($exporter, true), gettype($exporter)), __LINE__);
        }
        $this->exporter = $exporter;
        return $this;
    }
    /**
     * Get importer value
     * @return string|null
     */
    public function getImporter()
    {
        return $this->importer;
    }
    /**
     * Set importer value
     * @param string $importer
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2
     */
    public function setImporter($importer = null)
    {
        // validation for constraint: string
        if (!is_null($importer) && !is_string($importer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($importer, true), gettype($importer)), __LINE__);
        }
        $this->importer = $importer;
        return $this;
    }
    /**
     * Get rsin_number value
     * @return string|null
     */
    public function getRsin_number()
    {
        return $this->rsin_number;
    }
    /**
     * Set rsin_number value
     * @param string $rsin_number
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2
     */
    public function setRsin_number($rsin_number = null)
    {
        // validation for constraint: string
        if (!is_null($rsin_number) && !is_string($rsin_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($rsin_number, true), gettype($rsin_number)), __LINE__);
        }
        $this->rsin_number = $rsin_number;
        return $this;
    }
    /**
     * Get branch_number value
     * @return string|null
     */
    public function getBranch_number()
    {
        return $this->branch_number;
    }
    /**
     * Set branch_number value
     * @param string $branch_number
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2
     */
    public function setBranch_number($branch_number = null)
    {
        // validation for constraint: string
        if (!is_null($branch_number) && !is_string($branch_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($branch_number, true), gettype($branch_number)), __LINE__);
        }
        $this->branch_number = $branch_number;
        return $this;
    }
    /**
     * Get negative_rating value
     * @return int|null
     */
    public function getNegative_rating()
    {
        return $this->negative_rating;
    }
    /**
     * Set negative_rating value
     * @param int $negative_rating
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2
     */
    public function setNegative_rating($negative_rating = null)
    {
        // validation for constraint: int
        if (!is_null($negative_rating) && !(is_int($negative_rating) || ctype_digit($negative_rating))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($negative_rating, true), gettype($negative_rating)), __LINE__);
        }
        $this->negative_rating = $negative_rating;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLMiscellaneousV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
