<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyBalanceSheetV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyBalanceSheetV2 extends AbstractStructBase
{
    /**
     * The bank_liabilities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $bank_liabilities;
    /**
     * The bank_liabilities_due_after1year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $bank_liabilities_due_after1year;
    /**
     * The called_up_share_capital
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $called_up_share_capital;
    /**
     * The cash
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $cash;
    /**
     * The consolidated_accounts
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $consolidated_accounts;
    /**
     * The finished_goods
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $finished_goods;
    /**
     * The goodwill
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $goodwill;
    /**
     * The group_payables
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $group_payables;
    /**
     * The group_payables_due_after1year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $group_payables_due_after1year;
    /**
     * The group_receivables
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $group_receivables;
    /**
     * The investments
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $investments;
    /**
     * The land_and_buildings
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $land_and_buildings;
    /**
     * The loans_to_group
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $loans_to_group;
    /**
     * The miscellaneous_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $miscellaneous_fixed_assets;
    /**
     * The miscellaneous_liabilities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $miscellaneous_liabilities;
    /**
     * The miscellaneous_liabilities_due_after1_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $miscellaneous_liabilities_due_after1_year;
    /**
     * The miscellaneous_receivables
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $miscellaneous_receivables;
    /**
     * The other_current_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $other_current_assets;
    /**
     * The other_intangible_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $other_intangible_assets;
    /**
     * The other_inventories
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $other_inventories;
    /**
     * The other_loans
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $other_loans;
    /**
     * The other_loans_or_finance
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $other_loans_or_finance;
    /**
     * The other_loans_or_finance_due_after1_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $other_loans_or_finance_due_after1_year;
    /**
     * The other_reserves
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $other_reserves;
    /**
     * The other_tangible_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $other_tangible_assets;
    /**
     * The plant_and_machinery
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $plant_and_machinery;
    /**
     * The raw_materials
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $raw_materials;
    /**
     * The receivables_due_after1year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $receivables_due_after1year;
    /**
     * The revenue_reserves
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $revenue_reserves;
    /**
     * The share_premium
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $share_premium;
    /**
     * The total_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_assets;
    /**
     * The total_current_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_current_assets;
    /**
     * The total_current_liabilities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_current_liabilities;
    /**
     * The total_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_fixed_assets;
    /**
     * The total_intangible_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_intangible_assets;
    /**
     * The total_inventories
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_inventories;
    /**
     * The total_liabilities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_liabilities;
    /**
     * The total_long_term_liabilities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_long_term_liabilities;
    /**
     * The total_other_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_other_fixed_assets;
    /**
     * The total_receivables
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_receivables;
    /**
     * The total_shareholders_equity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_shareholders_equity;
    /**
     * The total_tangible_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total_tangible_assets;
    /**
     * The trade_payables
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $trade_payables;
    /**
     * The trade_payables_due_after1year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $trade_payables_due_after1year;
    /**
     * The trade_receivables
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $trade_receivables;
    /**
     * The work_in_progress
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $work_in_progress;
    /**
     * Constructor method for CreditsafeCompanyBalanceSheetV2
     * @uses CreditsafeCompanyBalanceSheetV2::setBank_liabilities()
     * @uses CreditsafeCompanyBalanceSheetV2::setBank_liabilities_due_after1year()
     * @uses CreditsafeCompanyBalanceSheetV2::setCalled_up_share_capital()
     * @uses CreditsafeCompanyBalanceSheetV2::setCash()
     * @uses CreditsafeCompanyBalanceSheetV2::setConsolidated_accounts()
     * @uses CreditsafeCompanyBalanceSheetV2::setFinished_goods()
     * @uses CreditsafeCompanyBalanceSheetV2::setGoodwill()
     * @uses CreditsafeCompanyBalanceSheetV2::setGroup_payables()
     * @uses CreditsafeCompanyBalanceSheetV2::setGroup_payables_due_after1year()
     * @uses CreditsafeCompanyBalanceSheetV2::setGroup_receivables()
     * @uses CreditsafeCompanyBalanceSheetV2::setInvestments()
     * @uses CreditsafeCompanyBalanceSheetV2::setLand_and_buildings()
     * @uses CreditsafeCompanyBalanceSheetV2::setLoans_to_group()
     * @uses CreditsafeCompanyBalanceSheetV2::setMiscellaneous_fixed_assets()
     * @uses CreditsafeCompanyBalanceSheetV2::setMiscellaneous_liabilities()
     * @uses CreditsafeCompanyBalanceSheetV2::setMiscellaneous_liabilities_due_after1_year()
     * @uses CreditsafeCompanyBalanceSheetV2::setMiscellaneous_receivables()
     * @uses CreditsafeCompanyBalanceSheetV2::setOther_current_assets()
     * @uses CreditsafeCompanyBalanceSheetV2::setOther_intangible_assets()
     * @uses CreditsafeCompanyBalanceSheetV2::setOther_inventories()
     * @uses CreditsafeCompanyBalanceSheetV2::setOther_loans()
     * @uses CreditsafeCompanyBalanceSheetV2::setOther_loans_or_finance()
     * @uses CreditsafeCompanyBalanceSheetV2::setOther_loans_or_finance_due_after1_year()
     * @uses CreditsafeCompanyBalanceSheetV2::setOther_reserves()
     * @uses CreditsafeCompanyBalanceSheetV2::setOther_tangible_assets()
     * @uses CreditsafeCompanyBalanceSheetV2::setPlant_and_machinery()
     * @uses CreditsafeCompanyBalanceSheetV2::setRaw_materials()
     * @uses CreditsafeCompanyBalanceSheetV2::setReceivables_due_after1year()
     * @uses CreditsafeCompanyBalanceSheetV2::setRevenue_reserves()
     * @uses CreditsafeCompanyBalanceSheetV2::setShare_premium()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_assets()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_current_assets()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_current_liabilities()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_fixed_assets()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_intangible_assets()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_inventories()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_liabilities()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_long_term_liabilities()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_other_fixed_assets()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_receivables()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_shareholders_equity()
     * @uses CreditsafeCompanyBalanceSheetV2::setTotal_tangible_assets()
     * @uses CreditsafeCompanyBalanceSheetV2::setTrade_payables()
     * @uses CreditsafeCompanyBalanceSheetV2::setTrade_payables_due_after1year()
     * @uses CreditsafeCompanyBalanceSheetV2::setTrade_receivables()
     * @uses CreditsafeCompanyBalanceSheetV2::setWork_in_progress()
     * @param int $bank_liabilities
     * @param int $bank_liabilities_due_after1year
     * @param int $called_up_share_capital
     * @param int $cash
     * @param int $consolidated_accounts
     * @param int $finished_goods
     * @param int $goodwill
     * @param int $group_payables
     * @param int $group_payables_due_after1year
     * @param int $group_receivables
     * @param int $investments
     * @param int $land_and_buildings
     * @param int $loans_to_group
     * @param int $miscellaneous_fixed_assets
     * @param int $miscellaneous_liabilities
     * @param int $miscellaneous_liabilities_due_after1_year
     * @param int $miscellaneous_receivables
     * @param int $other_current_assets
     * @param int $other_intangible_assets
     * @param int $other_inventories
     * @param int $other_loans
     * @param int $other_loans_or_finance
     * @param int $other_loans_or_finance_due_after1_year
     * @param int $other_reserves
     * @param int $other_tangible_assets
     * @param int $plant_and_machinery
     * @param int $raw_materials
     * @param int $receivables_due_after1year
     * @param int $revenue_reserves
     * @param int $share_premium
     * @param int $total_assets
     * @param int $total_current_assets
     * @param int $total_current_liabilities
     * @param int $total_fixed_assets
     * @param int $total_intangible_assets
     * @param int $total_inventories
     * @param int $total_liabilities
     * @param int $total_long_term_liabilities
     * @param int $total_other_fixed_assets
     * @param int $total_receivables
     * @param int $total_shareholders_equity
     * @param int $total_tangible_assets
     * @param int $trade_payables
     * @param int $trade_payables_due_after1year
     * @param int $trade_receivables
     * @param int $work_in_progress
     */
    public function __construct($bank_liabilities = null, $bank_liabilities_due_after1year = null, $called_up_share_capital = null, $cash = null, $consolidated_accounts = null, $finished_goods = null, $goodwill = null, $group_payables = null, $group_payables_due_after1year = null, $group_receivables = null, $investments = null, $land_and_buildings = null, $loans_to_group = null, $miscellaneous_fixed_assets = null, $miscellaneous_liabilities = null, $miscellaneous_liabilities_due_after1_year = null, $miscellaneous_receivables = null, $other_current_assets = null, $other_intangible_assets = null, $other_inventories = null, $other_loans = null, $other_loans_or_finance = null, $other_loans_or_finance_due_after1_year = null, $other_reserves = null, $other_tangible_assets = null, $plant_and_machinery = null, $raw_materials = null, $receivables_due_after1year = null, $revenue_reserves = null, $share_premium = null, $total_assets = null, $total_current_assets = null, $total_current_liabilities = null, $total_fixed_assets = null, $total_intangible_assets = null, $total_inventories = null, $total_liabilities = null, $total_long_term_liabilities = null, $total_other_fixed_assets = null, $total_receivables = null, $total_shareholders_equity = null, $total_tangible_assets = null, $trade_payables = null, $trade_payables_due_after1year = null, $trade_receivables = null, $work_in_progress = null)
    {
        $this
            ->setBank_liabilities($bank_liabilities)
            ->setBank_liabilities_due_after1year($bank_liabilities_due_after1year)
            ->setCalled_up_share_capital($called_up_share_capital)
            ->setCash($cash)
            ->setConsolidated_accounts($consolidated_accounts)
            ->setFinished_goods($finished_goods)
            ->setGoodwill($goodwill)
            ->setGroup_payables($group_payables)
            ->setGroup_payables_due_after1year($group_payables_due_after1year)
            ->setGroup_receivables($group_receivables)
            ->setInvestments($investments)
            ->setLand_and_buildings($land_and_buildings)
            ->setLoans_to_group($loans_to_group)
            ->setMiscellaneous_fixed_assets($miscellaneous_fixed_assets)
            ->setMiscellaneous_liabilities($miscellaneous_liabilities)
            ->setMiscellaneous_liabilities_due_after1_year($miscellaneous_liabilities_due_after1_year)
            ->setMiscellaneous_receivables($miscellaneous_receivables)
            ->setOther_current_assets($other_current_assets)
            ->setOther_intangible_assets($other_intangible_assets)
            ->setOther_inventories($other_inventories)
            ->setOther_loans($other_loans)
            ->setOther_loans_or_finance($other_loans_or_finance)
            ->setOther_loans_or_finance_due_after1_year($other_loans_or_finance_due_after1_year)
            ->setOther_reserves($other_reserves)
            ->setOther_tangible_assets($other_tangible_assets)
            ->setPlant_and_machinery($plant_and_machinery)
            ->setRaw_materials($raw_materials)
            ->setReceivables_due_after1year($receivables_due_after1year)
            ->setRevenue_reserves($revenue_reserves)
            ->setShare_premium($share_premium)
            ->setTotal_assets($total_assets)
            ->setTotal_current_assets($total_current_assets)
            ->setTotal_current_liabilities($total_current_liabilities)
            ->setTotal_fixed_assets($total_fixed_assets)
            ->setTotal_intangible_assets($total_intangible_assets)
            ->setTotal_inventories($total_inventories)
            ->setTotal_liabilities($total_liabilities)
            ->setTotal_long_term_liabilities($total_long_term_liabilities)
            ->setTotal_other_fixed_assets($total_other_fixed_assets)
            ->setTotal_receivables($total_receivables)
            ->setTotal_shareholders_equity($total_shareholders_equity)
            ->setTotal_tangible_assets($total_tangible_assets)
            ->setTrade_payables($trade_payables)
            ->setTrade_payables_due_after1year($trade_payables_due_after1year)
            ->setTrade_receivables($trade_receivables)
            ->setWork_in_progress($work_in_progress);
    }
    /**
     * Get bank_liabilities value
     * @return int|null
     */
    public function getBank_liabilities()
    {
        return $this->bank_liabilities;
    }
    /**
     * Set bank_liabilities value
     * @param int $bank_liabilities
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setBank_liabilities($bank_liabilities = null)
    {
        // validation for constraint: int
        if (!is_null($bank_liabilities) && !(is_int($bank_liabilities) || ctype_digit($bank_liabilities))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($bank_liabilities, true), gettype($bank_liabilities)), __LINE__);
        }
        $this->bank_liabilities = $bank_liabilities;
        return $this;
    }
    /**
     * Get bank_liabilities_due_after1year value
     * @return int|null
     */
    public function getBank_liabilities_due_after1year()
    {
        return $this->bank_liabilities_due_after1year;
    }
    /**
     * Set bank_liabilities_due_after1year value
     * @param int $bank_liabilities_due_after1year
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setBank_liabilities_due_after1year($bank_liabilities_due_after1year = null)
    {
        // validation for constraint: int
        if (!is_null($bank_liabilities_due_after1year) && !(is_int($bank_liabilities_due_after1year) || ctype_digit($bank_liabilities_due_after1year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($bank_liabilities_due_after1year, true), gettype($bank_liabilities_due_after1year)), __LINE__);
        }
        $this->bank_liabilities_due_after1year = $bank_liabilities_due_after1year;
        return $this;
    }
    /**
     * Get called_up_share_capital value
     * @return int|null
     */
    public function getCalled_up_share_capital()
    {
        return $this->called_up_share_capital;
    }
    /**
     * Set called_up_share_capital value
     * @param int $called_up_share_capital
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setCalled_up_share_capital($called_up_share_capital = null)
    {
        // validation for constraint: int
        if (!is_null($called_up_share_capital) && !(is_int($called_up_share_capital) || ctype_digit($called_up_share_capital))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($called_up_share_capital, true), gettype($called_up_share_capital)), __LINE__);
        }
        $this->called_up_share_capital = $called_up_share_capital;
        return $this;
    }
    /**
     * Get cash value
     * @return int|null
     */
    public function getCash()
    {
        return $this->cash;
    }
    /**
     * Set cash value
     * @param int $cash
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setCash($cash = null)
    {
        // validation for constraint: int
        if (!is_null($cash) && !(is_int($cash) || ctype_digit($cash))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cash, true), gettype($cash)), __LINE__);
        }
        $this->cash = $cash;
        return $this;
    }
    /**
     * Get consolidated_accounts value
     * @return int|null
     */
    public function getConsolidated_accounts()
    {
        return $this->consolidated_accounts;
    }
    /**
     * Set consolidated_accounts value
     * @param int $consolidated_accounts
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setConsolidated_accounts($consolidated_accounts = null)
    {
        // validation for constraint: int
        if (!is_null($consolidated_accounts) && !(is_int($consolidated_accounts) || ctype_digit($consolidated_accounts))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($consolidated_accounts, true), gettype($consolidated_accounts)), __LINE__);
        }
        $this->consolidated_accounts = $consolidated_accounts;
        return $this;
    }
    /**
     * Get finished_goods value
     * @return int|null
     */
    public function getFinished_goods()
    {
        return $this->finished_goods;
    }
    /**
     * Set finished_goods value
     * @param int $finished_goods
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setFinished_goods($finished_goods = null)
    {
        // validation for constraint: int
        if (!is_null($finished_goods) && !(is_int($finished_goods) || ctype_digit($finished_goods))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($finished_goods, true), gettype($finished_goods)), __LINE__);
        }
        $this->finished_goods = $finished_goods;
        return $this;
    }
    /**
     * Get goodwill value
     * @return int|null
     */
    public function getGoodwill()
    {
        return $this->goodwill;
    }
    /**
     * Set goodwill value
     * @param int $goodwill
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setGoodwill($goodwill = null)
    {
        // validation for constraint: int
        if (!is_null($goodwill) && !(is_int($goodwill) || ctype_digit($goodwill))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($goodwill, true), gettype($goodwill)), __LINE__);
        }
        $this->goodwill = $goodwill;
        return $this;
    }
    /**
     * Get group_payables value
     * @return int|null
     */
    public function getGroup_payables()
    {
        return $this->group_payables;
    }
    /**
     * Set group_payables value
     * @param int $group_payables
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setGroup_payables($group_payables = null)
    {
        // validation for constraint: int
        if (!is_null($group_payables) && !(is_int($group_payables) || ctype_digit($group_payables))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($group_payables, true), gettype($group_payables)), __LINE__);
        }
        $this->group_payables = $group_payables;
        return $this;
    }
    /**
     * Get group_payables_due_after1year value
     * @return int|null
     */
    public function getGroup_payables_due_after1year()
    {
        return $this->group_payables_due_after1year;
    }
    /**
     * Set group_payables_due_after1year value
     * @param int $group_payables_due_after1year
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setGroup_payables_due_after1year($group_payables_due_after1year = null)
    {
        // validation for constraint: int
        if (!is_null($group_payables_due_after1year) && !(is_int($group_payables_due_after1year) || ctype_digit($group_payables_due_after1year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($group_payables_due_after1year, true), gettype($group_payables_due_after1year)), __LINE__);
        }
        $this->group_payables_due_after1year = $group_payables_due_after1year;
        return $this;
    }
    /**
     * Get group_receivables value
     * @return int|null
     */
    public function getGroup_receivables()
    {
        return $this->group_receivables;
    }
    /**
     * Set group_receivables value
     * @param int $group_receivables
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setGroup_receivables($group_receivables = null)
    {
        // validation for constraint: int
        if (!is_null($group_receivables) && !(is_int($group_receivables) || ctype_digit($group_receivables))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($group_receivables, true), gettype($group_receivables)), __LINE__);
        }
        $this->group_receivables = $group_receivables;
        return $this;
    }
    /**
     * Get investments value
     * @return int|null
     */
    public function getInvestments()
    {
        return $this->investments;
    }
    /**
     * Set investments value
     * @param int $investments
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setInvestments($investments = null)
    {
        // validation for constraint: int
        if (!is_null($investments) && !(is_int($investments) || ctype_digit($investments))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($investments, true), gettype($investments)), __LINE__);
        }
        $this->investments = $investments;
        return $this;
    }
    /**
     * Get land_and_buildings value
     * @return int|null
     */
    public function getLand_and_buildings()
    {
        return $this->land_and_buildings;
    }
    /**
     * Set land_and_buildings value
     * @param int $land_and_buildings
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setLand_and_buildings($land_and_buildings = null)
    {
        // validation for constraint: int
        if (!is_null($land_and_buildings) && !(is_int($land_and_buildings) || ctype_digit($land_and_buildings))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($land_and_buildings, true), gettype($land_and_buildings)), __LINE__);
        }
        $this->land_and_buildings = $land_and_buildings;
        return $this;
    }
    /**
     * Get loans_to_group value
     * @return int|null
     */
    public function getLoans_to_group()
    {
        return $this->loans_to_group;
    }
    /**
     * Set loans_to_group value
     * @param int $loans_to_group
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setLoans_to_group($loans_to_group = null)
    {
        // validation for constraint: int
        if (!is_null($loans_to_group) && !(is_int($loans_to_group) || ctype_digit($loans_to_group))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($loans_to_group, true), gettype($loans_to_group)), __LINE__);
        }
        $this->loans_to_group = $loans_to_group;
        return $this;
    }
    /**
     * Get miscellaneous_fixed_assets value
     * @return int|null
     */
    public function getMiscellaneous_fixed_assets()
    {
        return $this->miscellaneous_fixed_assets;
    }
    /**
     * Set miscellaneous_fixed_assets value
     * @param int $miscellaneous_fixed_assets
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setMiscellaneous_fixed_assets($miscellaneous_fixed_assets = null)
    {
        // validation for constraint: int
        if (!is_null($miscellaneous_fixed_assets) && !(is_int($miscellaneous_fixed_assets) || ctype_digit($miscellaneous_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($miscellaneous_fixed_assets, true), gettype($miscellaneous_fixed_assets)), __LINE__);
        }
        $this->miscellaneous_fixed_assets = $miscellaneous_fixed_assets;
        return $this;
    }
    /**
     * Get miscellaneous_liabilities value
     * @return int|null
     */
    public function getMiscellaneous_liabilities()
    {
        return $this->miscellaneous_liabilities;
    }
    /**
     * Set miscellaneous_liabilities value
     * @param int $miscellaneous_liabilities
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setMiscellaneous_liabilities($miscellaneous_liabilities = null)
    {
        // validation for constraint: int
        if (!is_null($miscellaneous_liabilities) && !(is_int($miscellaneous_liabilities) || ctype_digit($miscellaneous_liabilities))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($miscellaneous_liabilities, true), gettype($miscellaneous_liabilities)), __LINE__);
        }
        $this->miscellaneous_liabilities = $miscellaneous_liabilities;
        return $this;
    }
    /**
     * Get miscellaneous_liabilities_due_after1_year value
     * @return int|null
     */
    public function getMiscellaneous_liabilities_due_after1_year()
    {
        return $this->miscellaneous_liabilities_due_after1_year;
    }
    /**
     * Set miscellaneous_liabilities_due_after1_year value
     * @param int $miscellaneous_liabilities_due_after1_year
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setMiscellaneous_liabilities_due_after1_year($miscellaneous_liabilities_due_after1_year = null)
    {
        // validation for constraint: int
        if (!is_null($miscellaneous_liabilities_due_after1_year) && !(is_int($miscellaneous_liabilities_due_after1_year) || ctype_digit($miscellaneous_liabilities_due_after1_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($miscellaneous_liabilities_due_after1_year, true), gettype($miscellaneous_liabilities_due_after1_year)), __LINE__);
        }
        $this->miscellaneous_liabilities_due_after1_year = $miscellaneous_liabilities_due_after1_year;
        return $this;
    }
    /**
     * Get miscellaneous_receivables value
     * @return int|null
     */
    public function getMiscellaneous_receivables()
    {
        return $this->miscellaneous_receivables;
    }
    /**
     * Set miscellaneous_receivables value
     * @param int $miscellaneous_receivables
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setMiscellaneous_receivables($miscellaneous_receivables = null)
    {
        // validation for constraint: int
        if (!is_null($miscellaneous_receivables) && !(is_int($miscellaneous_receivables) || ctype_digit($miscellaneous_receivables))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($miscellaneous_receivables, true), gettype($miscellaneous_receivables)), __LINE__);
        }
        $this->miscellaneous_receivables = $miscellaneous_receivables;
        return $this;
    }
    /**
     * Get other_current_assets value
     * @return int|null
     */
    public function getOther_current_assets()
    {
        return $this->other_current_assets;
    }
    /**
     * Set other_current_assets value
     * @param int $other_current_assets
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setOther_current_assets($other_current_assets = null)
    {
        // validation for constraint: int
        if (!is_null($other_current_assets) && !(is_int($other_current_assets) || ctype_digit($other_current_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($other_current_assets, true), gettype($other_current_assets)), __LINE__);
        }
        $this->other_current_assets = $other_current_assets;
        return $this;
    }
    /**
     * Get other_intangible_assets value
     * @return int|null
     */
    public function getOther_intangible_assets()
    {
        return $this->other_intangible_assets;
    }
    /**
     * Set other_intangible_assets value
     * @param int $other_intangible_assets
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setOther_intangible_assets($other_intangible_assets = null)
    {
        // validation for constraint: int
        if (!is_null($other_intangible_assets) && !(is_int($other_intangible_assets) || ctype_digit($other_intangible_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($other_intangible_assets, true), gettype($other_intangible_assets)), __LINE__);
        }
        $this->other_intangible_assets = $other_intangible_assets;
        return $this;
    }
    /**
     * Get other_inventories value
     * @return int|null
     */
    public function getOther_inventories()
    {
        return $this->other_inventories;
    }
    /**
     * Set other_inventories value
     * @param int $other_inventories
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setOther_inventories($other_inventories = null)
    {
        // validation for constraint: int
        if (!is_null($other_inventories) && !(is_int($other_inventories) || ctype_digit($other_inventories))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($other_inventories, true), gettype($other_inventories)), __LINE__);
        }
        $this->other_inventories = $other_inventories;
        return $this;
    }
    /**
     * Get other_loans value
     * @return int|null
     */
    public function getOther_loans()
    {
        return $this->other_loans;
    }
    /**
     * Set other_loans value
     * @param int $other_loans
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setOther_loans($other_loans = null)
    {
        // validation for constraint: int
        if (!is_null($other_loans) && !(is_int($other_loans) || ctype_digit($other_loans))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($other_loans, true), gettype($other_loans)), __LINE__);
        }
        $this->other_loans = $other_loans;
        return $this;
    }
    /**
     * Get other_loans_or_finance value
     * @return int|null
     */
    public function getOther_loans_or_finance()
    {
        return $this->other_loans_or_finance;
    }
    /**
     * Set other_loans_or_finance value
     * @param int $other_loans_or_finance
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setOther_loans_or_finance($other_loans_or_finance = null)
    {
        // validation for constraint: int
        if (!is_null($other_loans_or_finance) && !(is_int($other_loans_or_finance) || ctype_digit($other_loans_or_finance))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($other_loans_or_finance, true), gettype($other_loans_or_finance)), __LINE__);
        }
        $this->other_loans_or_finance = $other_loans_or_finance;
        return $this;
    }
    /**
     * Get other_loans_or_finance_due_after1_year value
     * @return int|null
     */
    public function getOther_loans_or_finance_due_after1_year()
    {
        return $this->other_loans_or_finance_due_after1_year;
    }
    /**
     * Set other_loans_or_finance_due_after1_year value
     * @param int $other_loans_or_finance_due_after1_year
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setOther_loans_or_finance_due_after1_year($other_loans_or_finance_due_after1_year = null)
    {
        // validation for constraint: int
        if (!is_null($other_loans_or_finance_due_after1_year) && !(is_int($other_loans_or_finance_due_after1_year) || ctype_digit($other_loans_or_finance_due_after1_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($other_loans_or_finance_due_after1_year, true), gettype($other_loans_or_finance_due_after1_year)), __LINE__);
        }
        $this->other_loans_or_finance_due_after1_year = $other_loans_or_finance_due_after1_year;
        return $this;
    }
    /**
     * Get other_reserves value
     * @return int|null
     */
    public function getOther_reserves()
    {
        return $this->other_reserves;
    }
    /**
     * Set other_reserves value
     * @param int $other_reserves
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setOther_reserves($other_reserves = null)
    {
        // validation for constraint: int
        if (!is_null($other_reserves) && !(is_int($other_reserves) || ctype_digit($other_reserves))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($other_reserves, true), gettype($other_reserves)), __LINE__);
        }
        $this->other_reserves = $other_reserves;
        return $this;
    }
    /**
     * Get other_tangible_assets value
     * @return int|null
     */
    public function getOther_tangible_assets()
    {
        return $this->other_tangible_assets;
    }
    /**
     * Set other_tangible_assets value
     * @param int $other_tangible_assets
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setOther_tangible_assets($other_tangible_assets = null)
    {
        // validation for constraint: int
        if (!is_null($other_tangible_assets) && !(is_int($other_tangible_assets) || ctype_digit($other_tangible_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($other_tangible_assets, true), gettype($other_tangible_assets)), __LINE__);
        }
        $this->other_tangible_assets = $other_tangible_assets;
        return $this;
    }
    /**
     * Get plant_and_machinery value
     * @return int|null
     */
    public function getPlant_and_machinery()
    {
        return $this->plant_and_machinery;
    }
    /**
     * Set plant_and_machinery value
     * @param int $plant_and_machinery
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setPlant_and_machinery($plant_and_machinery = null)
    {
        // validation for constraint: int
        if (!is_null($plant_and_machinery) && !(is_int($plant_and_machinery) || ctype_digit($plant_and_machinery))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($plant_and_machinery, true), gettype($plant_and_machinery)), __LINE__);
        }
        $this->plant_and_machinery = $plant_and_machinery;
        return $this;
    }
    /**
     * Get raw_materials value
     * @return int|null
     */
    public function getRaw_materials()
    {
        return $this->raw_materials;
    }
    /**
     * Set raw_materials value
     * @param int $raw_materials
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setRaw_materials($raw_materials = null)
    {
        // validation for constraint: int
        if (!is_null($raw_materials) && !(is_int($raw_materials) || ctype_digit($raw_materials))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($raw_materials, true), gettype($raw_materials)), __LINE__);
        }
        $this->raw_materials = $raw_materials;
        return $this;
    }
    /**
     * Get receivables_due_after1year value
     * @return int|null
     */
    public function getReceivables_due_after1year()
    {
        return $this->receivables_due_after1year;
    }
    /**
     * Set receivables_due_after1year value
     * @param int $receivables_due_after1year
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setReceivables_due_after1year($receivables_due_after1year = null)
    {
        // validation for constraint: int
        if (!is_null($receivables_due_after1year) && !(is_int($receivables_due_after1year) || ctype_digit($receivables_due_after1year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($receivables_due_after1year, true), gettype($receivables_due_after1year)), __LINE__);
        }
        $this->receivables_due_after1year = $receivables_due_after1year;
        return $this;
    }
    /**
     * Get revenue_reserves value
     * @return int|null
     */
    public function getRevenue_reserves()
    {
        return $this->revenue_reserves;
    }
    /**
     * Set revenue_reserves value
     * @param int $revenue_reserves
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setRevenue_reserves($revenue_reserves = null)
    {
        // validation for constraint: int
        if (!is_null($revenue_reserves) && !(is_int($revenue_reserves) || ctype_digit($revenue_reserves))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($revenue_reserves, true), gettype($revenue_reserves)), __LINE__);
        }
        $this->revenue_reserves = $revenue_reserves;
        return $this;
    }
    /**
     * Get share_premium value
     * @return int|null
     */
    public function getShare_premium()
    {
        return $this->share_premium;
    }
    /**
     * Set share_premium value
     * @param int $share_premium
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setShare_premium($share_premium = null)
    {
        // validation for constraint: int
        if (!is_null($share_premium) && !(is_int($share_premium) || ctype_digit($share_premium))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($share_premium, true), gettype($share_premium)), __LINE__);
        }
        $this->share_premium = $share_premium;
        return $this;
    }
    /**
     * Get total_assets value
     * @return int|null
     */
    public function getTotal_assets()
    {
        return $this->total_assets;
    }
    /**
     * Set total_assets value
     * @param int $total_assets
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_assets($total_assets = null)
    {
        // validation for constraint: int
        if (!is_null($total_assets) && !(is_int($total_assets) || ctype_digit($total_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_assets, true), gettype($total_assets)), __LINE__);
        }
        $this->total_assets = $total_assets;
        return $this;
    }
    /**
     * Get total_current_assets value
     * @return int|null
     */
    public function getTotal_current_assets()
    {
        return $this->total_current_assets;
    }
    /**
     * Set total_current_assets value
     * @param int $total_current_assets
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_current_assets($total_current_assets = null)
    {
        // validation for constraint: int
        if (!is_null($total_current_assets) && !(is_int($total_current_assets) || ctype_digit($total_current_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_current_assets, true), gettype($total_current_assets)), __LINE__);
        }
        $this->total_current_assets = $total_current_assets;
        return $this;
    }
    /**
     * Get total_current_liabilities value
     * @return int|null
     */
    public function getTotal_current_liabilities()
    {
        return $this->total_current_liabilities;
    }
    /**
     * Set total_current_liabilities value
     * @param int $total_current_liabilities
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_current_liabilities($total_current_liabilities = null)
    {
        // validation for constraint: int
        if (!is_null($total_current_liabilities) && !(is_int($total_current_liabilities) || ctype_digit($total_current_liabilities))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_current_liabilities, true), gettype($total_current_liabilities)), __LINE__);
        }
        $this->total_current_liabilities = $total_current_liabilities;
        return $this;
    }
    /**
     * Get total_fixed_assets value
     * @return int|null
     */
    public function getTotal_fixed_assets()
    {
        return $this->total_fixed_assets;
    }
    /**
     * Set total_fixed_assets value
     * @param int $total_fixed_assets
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_fixed_assets($total_fixed_assets = null)
    {
        // validation for constraint: int
        if (!is_null($total_fixed_assets) && !(is_int($total_fixed_assets) || ctype_digit($total_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_fixed_assets, true), gettype($total_fixed_assets)), __LINE__);
        }
        $this->total_fixed_assets = $total_fixed_assets;
        return $this;
    }
    /**
     * Get total_intangible_assets value
     * @return int|null
     */
    public function getTotal_intangible_assets()
    {
        return $this->total_intangible_assets;
    }
    /**
     * Set total_intangible_assets value
     * @param int $total_intangible_assets
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_intangible_assets($total_intangible_assets = null)
    {
        // validation for constraint: int
        if (!is_null($total_intangible_assets) && !(is_int($total_intangible_assets) || ctype_digit($total_intangible_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_intangible_assets, true), gettype($total_intangible_assets)), __LINE__);
        }
        $this->total_intangible_assets = $total_intangible_assets;
        return $this;
    }
    /**
     * Get total_inventories value
     * @return int|null
     */
    public function getTotal_inventories()
    {
        return $this->total_inventories;
    }
    /**
     * Set total_inventories value
     * @param int $total_inventories
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_inventories($total_inventories = null)
    {
        // validation for constraint: int
        if (!is_null($total_inventories) && !(is_int($total_inventories) || ctype_digit($total_inventories))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_inventories, true), gettype($total_inventories)), __LINE__);
        }
        $this->total_inventories = $total_inventories;
        return $this;
    }
    /**
     * Get total_liabilities value
     * @return int|null
     */
    public function getTotal_liabilities()
    {
        return $this->total_liabilities;
    }
    /**
     * Set total_liabilities value
     * @param int $total_liabilities
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_liabilities($total_liabilities = null)
    {
        // validation for constraint: int
        if (!is_null($total_liabilities) && !(is_int($total_liabilities) || ctype_digit($total_liabilities))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_liabilities, true), gettype($total_liabilities)), __LINE__);
        }
        $this->total_liabilities = $total_liabilities;
        return $this;
    }
    /**
     * Get total_long_term_liabilities value
     * @return int|null
     */
    public function getTotal_long_term_liabilities()
    {
        return $this->total_long_term_liabilities;
    }
    /**
     * Set total_long_term_liabilities value
     * @param int $total_long_term_liabilities
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_long_term_liabilities($total_long_term_liabilities = null)
    {
        // validation for constraint: int
        if (!is_null($total_long_term_liabilities) && !(is_int($total_long_term_liabilities) || ctype_digit($total_long_term_liabilities))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_long_term_liabilities, true), gettype($total_long_term_liabilities)), __LINE__);
        }
        $this->total_long_term_liabilities = $total_long_term_liabilities;
        return $this;
    }
    /**
     * Get total_other_fixed_assets value
     * @return int|null
     */
    public function getTotal_other_fixed_assets()
    {
        return $this->total_other_fixed_assets;
    }
    /**
     * Set total_other_fixed_assets value
     * @param int $total_other_fixed_assets
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_other_fixed_assets($total_other_fixed_assets = null)
    {
        // validation for constraint: int
        if (!is_null($total_other_fixed_assets) && !(is_int($total_other_fixed_assets) || ctype_digit($total_other_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_other_fixed_assets, true), gettype($total_other_fixed_assets)), __LINE__);
        }
        $this->total_other_fixed_assets = $total_other_fixed_assets;
        return $this;
    }
    /**
     * Get total_receivables value
     * @return int|null
     */
    public function getTotal_receivables()
    {
        return $this->total_receivables;
    }
    /**
     * Set total_receivables value
     * @param int $total_receivables
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_receivables($total_receivables = null)
    {
        // validation for constraint: int
        if (!is_null($total_receivables) && !(is_int($total_receivables) || ctype_digit($total_receivables))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_receivables, true), gettype($total_receivables)), __LINE__);
        }
        $this->total_receivables = $total_receivables;
        return $this;
    }
    /**
     * Get total_shareholders_equity value
     * @return int|null
     */
    public function getTotal_shareholders_equity()
    {
        return $this->total_shareholders_equity;
    }
    /**
     * Set total_shareholders_equity value
     * @param int $total_shareholders_equity
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_shareholders_equity($total_shareholders_equity = null)
    {
        // validation for constraint: int
        if (!is_null($total_shareholders_equity) && !(is_int($total_shareholders_equity) || ctype_digit($total_shareholders_equity))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_shareholders_equity, true), gettype($total_shareholders_equity)), __LINE__);
        }
        $this->total_shareholders_equity = $total_shareholders_equity;
        return $this;
    }
    /**
     * Get total_tangible_assets value
     * @return int|null
     */
    public function getTotal_tangible_assets()
    {
        return $this->total_tangible_assets;
    }
    /**
     * Set total_tangible_assets value
     * @param int $total_tangible_assets
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTotal_tangible_assets($total_tangible_assets = null)
    {
        // validation for constraint: int
        if (!is_null($total_tangible_assets) && !(is_int($total_tangible_assets) || ctype_digit($total_tangible_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total_tangible_assets, true), gettype($total_tangible_assets)), __LINE__);
        }
        $this->total_tangible_assets = $total_tangible_assets;
        return $this;
    }
    /**
     * Get trade_payables value
     * @return int|null
     */
    public function getTrade_payables()
    {
        return $this->trade_payables;
    }
    /**
     * Set trade_payables value
     * @param int $trade_payables
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTrade_payables($trade_payables = null)
    {
        // validation for constraint: int
        if (!is_null($trade_payables) && !(is_int($trade_payables) || ctype_digit($trade_payables))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($trade_payables, true), gettype($trade_payables)), __LINE__);
        }
        $this->trade_payables = $trade_payables;
        return $this;
    }
    /**
     * Get trade_payables_due_after1year value
     * @return int|null
     */
    public function getTrade_payables_due_after1year()
    {
        return $this->trade_payables_due_after1year;
    }
    /**
     * Set trade_payables_due_after1year value
     * @param int $trade_payables_due_after1year
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTrade_payables_due_after1year($trade_payables_due_after1year = null)
    {
        // validation for constraint: int
        if (!is_null($trade_payables_due_after1year) && !(is_int($trade_payables_due_after1year) || ctype_digit($trade_payables_due_after1year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($trade_payables_due_after1year, true), gettype($trade_payables_due_after1year)), __LINE__);
        }
        $this->trade_payables_due_after1year = $trade_payables_due_after1year;
        return $this;
    }
    /**
     * Get trade_receivables value
     * @return int|null
     */
    public function getTrade_receivables()
    {
        return $this->trade_receivables;
    }
    /**
     * Set trade_receivables value
     * @param int $trade_receivables
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setTrade_receivables($trade_receivables = null)
    {
        // validation for constraint: int
        if (!is_null($trade_receivables) && !(is_int($trade_receivables) || ctype_digit($trade_receivables))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($trade_receivables, true), gettype($trade_receivables)), __LINE__);
        }
        $this->trade_receivables = $trade_receivables;
        return $this;
    }
    /**
     * Get work_in_progress value
     * @return int|null
     */
    public function getWork_in_progress()
    {
        return $this->work_in_progress;
    }
    /**
     * Set work_in_progress value
     * @param int $work_in_progress
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public function setWork_in_progress($work_in_progress = null)
    {
        // validation for constraint: int
        if (!is_null($work_in_progress) && !(is_int($work_in_progress) || ctype_digit($work_in_progress))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($work_in_progress, true), gettype($work_in_progress)), __LINE__);
        }
        $this->work_in_progress = $work_in_progress;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyBalanceSheetV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
