<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyNegativeInformationDEBankruptcyV2
 * StructType
 * @subpackage Structs
 */
class CreditsafeCompanyNegativeInformationDEBankruptcyV2 extends AbstractStructBase
{
    /**
     * The has_bankruptcy
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $has_bankruptcy;
    /**
     * Constructor method for CreditsafeCompanyNegativeInformationDEBankruptcyV2
     * @uses CreditsafeCompanyNegativeInformationDEBankruptcyV2::setHas_bankruptcy()
     * @param string $has_bankruptcy
     */
    public function __construct($has_bankruptcy = null)
    {
        $this
            ->setHas_bankruptcy($has_bankruptcy);
    }
    /**
     * Get has_bankruptcy value
     * @return string|null
     */
    public function getHas_bankruptcy()
    {
        return $this->has_bankruptcy;
    }
    /**
     * Set has_bankruptcy value
     * @param string $has_bankruptcy
     * @return \StructType\CreditsafeCompanyNegativeInformationDEBankruptcyV2
     */
    public function setHas_bankruptcy($has_bankruptcy = null)
    {
        // validation for constraint: string
        if (!is_null($has_bankruptcy) && !is_string($has_bankruptcy)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($has_bankruptcy, true), gettype($has_bankruptcy)), __LINE__);
        }
        $this->has_bankruptcy = $has_bankruptcy;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyNegativeInformationDEBankruptcyV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
