<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyNegativeInformationNLV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyNegativeInformationNLV2 extends AbstractStructBase
{
    /**
     * The court_items
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyNegativeInformationNLCourtItemV2Array
     */
    public $court_items;
    /**
     * Constructor method for CreditsafeCompanyNegativeInformationNLV2
     * @uses CreditsafeCompanyNegativeInformationNLV2::setCourt_items()
     * @param \ArrayType\CreditsafeCompanyNegativeInformationNLCourtItemV2Array $court_items
     */
    public function __construct(\ArrayType\CreditsafeCompanyNegativeInformationNLCourtItemV2Array $court_items = null)
    {
        $this
            ->setCourt_items($court_items);
    }
    /**
     * Get court_items value
     * @return \ArrayType\CreditsafeCompanyNegativeInformationNLCourtItemV2Array|null
     */
    public function getCourt_items()
    {
        return $this->court_items;
    }
    /**
     * Set court_items value
     * @param \ArrayType\CreditsafeCompanyNegativeInformationNLCourtItemV2Array $court_items
     * @return \StructType\CreditsafeCompanyNegativeInformationNLV2
     */
    public function setCourt_items(\ArrayType\CreditsafeCompanyNegativeInformationNLCourtItemV2Array $court_items = null)
    {
        $this->court_items = $court_items;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyNegativeInformationNLV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
