<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeSearchResultV2 StructType
 * @subpackage Structs
 */
class CreditsafeSearchResultV2 extends AbstractStructBase
{
    /**
     * The companies
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyV2Array
     */
    public $companies;
    /**
     * Constructor method for CreditsafeSearchResultV2
     * @uses CreditsafeSearchResultV2::setCompanies()
     * @param \ArrayType\CreditsafeCompanyV2Array $companies
     */
    public function __construct(\ArrayType\CreditsafeCompanyV2Array $companies = null)
    {
        $this
            ->setCompanies($companies);
    }
    /**
     * Get companies value
     * @return \ArrayType\CreditsafeCompanyV2Array|null
     */
    public function getCompanies()
    {
        return $this->companies;
    }
    /**
     * Set companies value
     * @param \ArrayType\CreditsafeCompanyV2Array $companies
     * @return \StructType\CreditsafeSearchResultV2
     */
    public function setCompanies(\ArrayType\CreditsafeCompanyV2Array $companies = null)
    {
        $this->companies = $companies;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeSearchResultV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
