<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessPersonnelInfoV3 StructType
 * @subpackage Structs
 */
class DutchBusinessPersonnelInfoV3 extends AbstractStructBase
{
    /**
     * The fulltime
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $fulltime;
    /**
     * The parttime
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $parttime;
    /**
     * The total
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $total;
    /**
     * Constructor method for DutchBusinessPersonnelInfoV3
     * @uses DutchBusinessPersonnelInfoV3::setFulltime()
     * @uses DutchBusinessPersonnelInfoV3::setParttime()
     * @uses DutchBusinessPersonnelInfoV3::setTotal()
     * @param int $fulltime
     * @param int $parttime
     * @param int $total
     */
    public function __construct($fulltime = null, $parttime = null, $total = null)
    {
        $this
            ->setFulltime($fulltime)
            ->setParttime($parttime)
            ->setTotal($total);
    }
    /**
     * Get fulltime value
     * @return int|null
     */
    public function getFulltime()
    {
        return $this->fulltime;
    }
    /**
     * Set fulltime value
     * @param int $fulltime
     * @return \StructType\DutchBusinessPersonnelInfoV3
     */
    public function setFulltime($fulltime = null)
    {
        // validation for constraint: int
        if (!is_null($fulltime) && !(is_int($fulltime) || ctype_digit($fulltime))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($fulltime, true), gettype($fulltime)), __LINE__);
        }
        $this->fulltime = $fulltime;
        return $this;
    }
    /**
     * Get parttime value
     * @return int|null
     */
    public function getParttime()
    {
        return $this->parttime;
    }
    /**
     * Set parttime value
     * @param int $parttime
     * @return \StructType\DutchBusinessPersonnelInfoV3
     */
    public function setParttime($parttime = null)
    {
        // validation for constraint: int
        if (!is_null($parttime) && !(is_int($parttime) || ctype_digit($parttime))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($parttime, true), gettype($parttime)), __LINE__);
        }
        $this->parttime = $parttime;
        return $this;
    }
    /**
     * Get total value
     * @return int|null
     */
    public function getTotal()
    {
        return $this->total;
    }
    /**
     * Set total value
     * @param int $total
     * @return \StructType\DutchBusinessPersonnelInfoV3
     */
    public function setTotal($total = null)
    {
        // validation for constraint: int
        if (!is_null($total) && !(is_int($total) || ctype_digit($total))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($total, true), gettype($total)), __LINE__);
        }
        $this->total = $total;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DutchBusinessPersonnelInfoV3
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
