<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRCompanyItself StructType
 * @subpackage Structs
 */
class GCRCompanyItself extends AbstractStructBase
{
    /**
     * The graydon_company_id
     * @var int
     */
    public $graydon_company_id;
    /**
     * The contact_details
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRContactDetails
     */
    public $contact_details;
    /**
     * The official_data
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCROfficialData
     */
    public $official_data;
    /**
     * The history
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRHistory
     */
    public $history;
    /**
     * The positions_in_other_companies
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRJobTitleArray
     */
    public $positions_in_other_companies;
    /**
     * The annual_figures
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRAnnualFiguresArray
     */
    public $annual_figures;
    /**
     * The financial_details
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRFinancialDetails
     */
    public $financial_details;
    /**
     * The financial_calamities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRFinancialCalamityArray
     */
    public $financial_calamities;
    /**
     * The personnel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRPersonnel
     */
    public $personnel;
    /**
     * The credit_advice_data
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRCreditAdviceData
     */
    public $credit_advice_data;
    /**
     * The sectors_of_industry
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRSectorOfIndustryArray
     */
    public $sectors_of_industry;
    /**
     * The calamity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRCalamity
     */
    public $calamity;
    /**
     * The payment_information
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRPaymentInformationArray
     */
    public $payment_information;
    /**
     * The declarations_of_liability
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRDeclarationOfLiabilityArray
     */
    public $declarations_of_liability;
    /**
     * The concern_liaisons
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRLiaisonArray
     */
    public $concern_liaisons;
    /**
     * The company_management
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRCompanyManagement
     */
    public $company_management;
    /**
     * Constructor method for GCRCompanyItself
     * @uses GCRCompanyItself::setGraydon_company_id()
     * @uses GCRCompanyItself::setContact_details()
     * @uses GCRCompanyItself::setOfficial_data()
     * @uses GCRCompanyItself::setHistory()
     * @uses GCRCompanyItself::setPositions_in_other_companies()
     * @uses GCRCompanyItself::setAnnual_figures()
     * @uses GCRCompanyItself::setFinancial_details()
     * @uses GCRCompanyItself::setFinancial_calamities()
     * @uses GCRCompanyItself::setPersonnel()
     * @uses GCRCompanyItself::setCredit_advice_data()
     * @uses GCRCompanyItself::setSectors_of_industry()
     * @uses GCRCompanyItself::setCalamity()
     * @uses GCRCompanyItself::setPayment_information()
     * @uses GCRCompanyItself::setDeclarations_of_liability()
     * @uses GCRCompanyItself::setConcern_liaisons()
     * @uses GCRCompanyItself::setCompany_management()
     * @param int $graydon_company_id
     * @param \StructType\GCRContactDetails $contact_details
     * @param \StructType\GCROfficialData $official_data
     * @param \StructType\GCRHistory $history
     * @param \ArrayType\GCRJobTitleArray $positions_in_other_companies
     * @param \ArrayType\GCRAnnualFiguresArray $annual_figures
     * @param \StructType\GCRFinancialDetails $financial_details
     * @param \ArrayType\GCRFinancialCalamityArray $financial_calamities
     * @param \StructType\GCRPersonnel $personnel
     * @param \StructType\GCRCreditAdviceData $credit_advice_data
     * @param \ArrayType\GCRSectorOfIndustryArray $sectors_of_industry
     * @param \StructType\GCRCalamity $calamity
     * @param \ArrayType\GCRPaymentInformationArray $payment_information
     * @param \ArrayType\GCRDeclarationOfLiabilityArray $declarations_of_liability
     * @param \ArrayType\GCRLiaisonArray $concern_liaisons
     * @param \StructType\GCRCompanyManagement $company_management
     */
    public function __construct($graydon_company_id = null, \StructType\GCRContactDetails $contact_details = null, \StructType\GCROfficialData $official_data = null, \StructType\GCRHistory $history = null, \ArrayType\GCRJobTitleArray $positions_in_other_companies = null, \ArrayType\GCRAnnualFiguresArray $annual_figures = null, \StructType\GCRFinancialDetails $financial_details = null, \ArrayType\GCRFinancialCalamityArray $financial_calamities = null, \StructType\GCRPersonnel $personnel = null, \StructType\GCRCreditAdviceData $credit_advice_data = null, \ArrayType\GCRSectorOfIndustryArray $sectors_of_industry = null, \StructType\GCRCalamity $calamity = null, \ArrayType\GCRPaymentInformationArray $payment_information = null, \ArrayType\GCRDeclarationOfLiabilityArray $declarations_of_liability = null, \ArrayType\GCRLiaisonArray $concern_liaisons = null, \StructType\GCRCompanyManagement $company_management = null)
    {
        $this
            ->setGraydon_company_id($graydon_company_id)
            ->setContact_details($contact_details)
            ->setOfficial_data($official_data)
            ->setHistory($history)
            ->setPositions_in_other_companies($positions_in_other_companies)
            ->setAnnual_figures($annual_figures)
            ->setFinancial_details($financial_details)
            ->setFinancial_calamities($financial_calamities)
            ->setPersonnel($personnel)
            ->setCredit_advice_data($credit_advice_data)
            ->setSectors_of_industry($sectors_of_industry)
            ->setCalamity($calamity)
            ->setPayment_information($payment_information)
            ->setDeclarations_of_liability($declarations_of_liability)
            ->setConcern_liaisons($concern_liaisons)
            ->setCompany_management($company_management);
    }
    /**
     * Get graydon_company_id value
     * @return int|null
     */
    public function getGraydon_company_id()
    {
        return $this->graydon_company_id;
    }
    /**
     * Set graydon_company_id value
     * @param int $graydon_company_id
     * @return \StructType\GCRCompanyItself
     */
    public function setGraydon_company_id($graydon_company_id = null)
    {
        // validation for constraint: int
        if (!is_null($graydon_company_id) && !(is_int($graydon_company_id) || ctype_digit($graydon_company_id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($graydon_company_id, true), gettype($graydon_company_id)), __LINE__);
        }
        $this->graydon_company_id = $graydon_company_id;
        return $this;
    }
    /**
     * Get contact_details value
     * @return \StructType\GCRContactDetails|null
     */
    public function getContact_details()
    {
        return $this->contact_details;
    }
    /**
     * Set contact_details value
     * @param \StructType\GCRContactDetails $contact_details
     * @return \StructType\GCRCompanyItself
     */
    public function setContact_details(\StructType\GCRContactDetails $contact_details = null)
    {
        $this->contact_details = $contact_details;
        return $this;
    }
    /**
     * Get official_data value
     * @return \StructType\GCROfficialData|null
     */
    public function getOfficial_data()
    {
        return $this->official_data;
    }
    /**
     * Set official_data value
     * @param \StructType\GCROfficialData $official_data
     * @return \StructType\GCRCompanyItself
     */
    public function setOfficial_data(\StructType\GCROfficialData $official_data = null)
    {
        $this->official_data = $official_data;
        return $this;
    }
    /**
     * Get history value
     * @return \StructType\GCRHistory|null
     */
    public function getHistory()
    {
        return $this->history;
    }
    /**
     * Set history value
     * @param \StructType\GCRHistory $history
     * @return \StructType\GCRCompanyItself
     */
    public function setHistory(\StructType\GCRHistory $history = null)
    {
        $this->history = $history;
        return $this;
    }
    /**
     * Get positions_in_other_companies value
     * @return \ArrayType\GCRJobTitleArray|null
     */
    public function getPositions_in_other_companies()
    {
        return $this->positions_in_other_companies;
    }
    /**
     * Set positions_in_other_companies value
     * @param \ArrayType\GCRJobTitleArray $positions_in_other_companies
     * @return \StructType\GCRCompanyItself
     */
    public function setPositions_in_other_companies(\ArrayType\GCRJobTitleArray $positions_in_other_companies = null)
    {
        $this->positions_in_other_companies = $positions_in_other_companies;
        return $this;
    }
    /**
     * Get annual_figures value
     * @return \ArrayType\GCRAnnualFiguresArray|null
     */
    public function getAnnual_figures()
    {
        return $this->annual_figures;
    }
    /**
     * Set annual_figures value
     * @param \ArrayType\GCRAnnualFiguresArray $annual_figures
     * @return \StructType\GCRCompanyItself
     */
    public function setAnnual_figures(\ArrayType\GCRAnnualFiguresArray $annual_figures = null)
    {
        $this->annual_figures = $annual_figures;
        return $this;
    }
    /**
     * Get financial_details value
     * @return \StructType\GCRFinancialDetails|null
     */
    public function getFinancial_details()
    {
        return $this->financial_details;
    }
    /**
     * Set financial_details value
     * @param \StructType\GCRFinancialDetails $financial_details
     * @return \StructType\GCRCompanyItself
     */
    public function setFinancial_details(\StructType\GCRFinancialDetails $financial_details = null)
    {
        $this->financial_details = $financial_details;
        return $this;
    }
    /**
     * Get financial_calamities value
     * @return \ArrayType\GCRFinancialCalamityArray|null
     */
    public function getFinancial_calamities()
    {
        return $this->financial_calamities;
    }
    /**
     * Set financial_calamities value
     * @param \ArrayType\GCRFinancialCalamityArray $financial_calamities
     * @return \StructType\GCRCompanyItself
     */
    public function setFinancial_calamities(\ArrayType\GCRFinancialCalamityArray $financial_calamities = null)
    {
        $this->financial_calamities = $financial_calamities;
        return $this;
    }
    /**
     * Get personnel value
     * @return \StructType\GCRPersonnel|null
     */
    public function getPersonnel()
    {
        return $this->personnel;
    }
    /**
     * Set personnel value
     * @param \StructType\GCRPersonnel $personnel
     * @return \StructType\GCRCompanyItself
     */
    public function setPersonnel(\StructType\GCRPersonnel $personnel = null)
    {
        $this->personnel = $personnel;
        return $this;
    }
    /**
     * Get credit_advice_data value
     * @return \StructType\GCRCreditAdviceData|null
     */
    public function getCredit_advice_data()
    {
        return $this->credit_advice_data;
    }
    /**
     * Set credit_advice_data value
     * @param \StructType\GCRCreditAdviceData $credit_advice_data
     * @return \StructType\GCRCompanyItself
     */
    public function setCredit_advice_data(\StructType\GCRCreditAdviceData $credit_advice_data = null)
    {
        $this->credit_advice_data = $credit_advice_data;
        return $this;
    }
    /**
     * Get sectors_of_industry value
     * @return \ArrayType\GCRSectorOfIndustryArray|null
     */
    public function getSectors_of_industry()
    {
        return $this->sectors_of_industry;
    }
    /**
     * Set sectors_of_industry value
     * @param \ArrayType\GCRSectorOfIndustryArray $sectors_of_industry
     * @return \StructType\GCRCompanyItself
     */
    public function setSectors_of_industry(\ArrayType\GCRSectorOfIndustryArray $sectors_of_industry = null)
    {
        $this->sectors_of_industry = $sectors_of_industry;
        return $this;
    }
    /**
     * Get calamity value
     * @return \StructType\GCRCalamity|null
     */
    public function getCalamity()
    {
        return $this->calamity;
    }
    /**
     * Set calamity value
     * @param \StructType\GCRCalamity $calamity
     * @return \StructType\GCRCompanyItself
     */
    public function setCalamity(\StructType\GCRCalamity $calamity = null)
    {
        $this->calamity = $calamity;
        return $this;
    }
    /**
     * Get payment_information value
     * @return \ArrayType\GCRPaymentInformationArray|null
     */
    public function getPayment_information()
    {
        return $this->payment_information;
    }
    /**
     * Set payment_information value
     * @param \ArrayType\GCRPaymentInformationArray $payment_information
     * @return \StructType\GCRCompanyItself
     */
    public function setPayment_information(\ArrayType\GCRPaymentInformationArray $payment_information = null)
    {
        $this->payment_information = $payment_information;
        return $this;
    }
    /**
     * Get declarations_of_liability value
     * @return \ArrayType\GCRDeclarationOfLiabilityArray|null
     */
    public function getDeclarations_of_liability()
    {
        return $this->declarations_of_liability;
    }
    /**
     * Set declarations_of_liability value
     * @param \ArrayType\GCRDeclarationOfLiabilityArray $declarations_of_liability
     * @return \StructType\GCRCompanyItself
     */
    public function setDeclarations_of_liability(\ArrayType\GCRDeclarationOfLiabilityArray $declarations_of_liability = null)
    {
        $this->declarations_of_liability = $declarations_of_liability;
        return $this;
    }
    /**
     * Get concern_liaisons value
     * @return \ArrayType\GCRLiaisonArray|null
     */
    public function getConcern_liaisons()
    {
        return $this->concern_liaisons;
    }
    /**
     * Set concern_liaisons value
     * @param \ArrayType\GCRLiaisonArray $concern_liaisons
     * @return \StructType\GCRCompanyItself
     */
    public function setConcern_liaisons(\ArrayType\GCRLiaisonArray $concern_liaisons = null)
    {
        $this->concern_liaisons = $concern_liaisons;
        return $this;
    }
    /**
     * Get company_management value
     * @return \StructType\GCRCompanyManagement|null
     */
    public function getCompany_management()
    {
        return $this->company_management;
    }
    /**
     * Set company_management value
     * @param \StructType\GCRCompanyManagement $company_management
     * @return \StructType\GCRCompanyItself
     */
    public function setCompany_management(\StructType\GCRCompanyManagement $company_management = null)
    {
        $this->company_management = $company_management;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GCRCompanyItself
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
