<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRCompanyManagement StructType
 * @subpackage Structs
 */
class GCRCompanyManagement extends AbstractStructBase
{
    /**
     * The management
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRManagementArray
     */
    public $management;
    /**
     * The first_directors
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRFirstDirectorArray
     */
    public $first_directors;
    /**
     * Constructor method for GCRCompanyManagement
     * @uses GCRCompanyManagement::setManagement()
     * @uses GCRCompanyManagement::setFirst_directors()
     * @param \ArrayType\GCRManagementArray $management
     * @param \ArrayType\GCRFirstDirectorArray $first_directors
     */
    public function __construct(\ArrayType\GCRManagementArray $management = null, \ArrayType\GCRFirstDirectorArray $first_directors = null)
    {
        $this
            ->setManagement($management)
            ->setFirst_directors($first_directors);
    }
    /**
     * Get management value
     * @return \ArrayType\GCRManagementArray|null
     */
    public function getManagement()
    {
        return $this->management;
    }
    /**
     * Set management value
     * @param \ArrayType\GCRManagementArray $management
     * @return \StructType\GCRCompanyManagement
     */
    public function setManagement(\ArrayType\GCRManagementArray $management = null)
    {
        $this->management = $management;
        return $this;
    }
    /**
     * Get first_directors value
     * @return \ArrayType\GCRFirstDirectorArray|null
     */
    public function getFirst_directors()
    {
        return $this->first_directors;
    }
    /**
     * Set first_directors value
     * @param \ArrayType\GCRFirstDirectorArray $first_directors
     * @return \StructType\GCRCompanyManagement
     */
    public function setFirst_directors(\ArrayType\GCRFirstDirectorArray $first_directors = null)
    {
        $this->first_directors = $first_directors;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GCRCompanyManagement
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
