<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsolvencyPublications StructType
 * @subpackage Structs
 */
class InsolvencyPublications extends AbstractStructBase
{
    /**
     * The is_legacy
     * @var bool
     */
    public $is_legacy;
    /**
     * The event
     * @var \ArrayType\InsolvencyPublicationArray
     */
    public $event;
    /**
     * Constructor method for InsolvencyPublications
     * @uses InsolvencyPublications::setIs_legacy()
     * @uses InsolvencyPublications::setEvent()
     * @param bool $is_legacy
     * @param \ArrayType\InsolvencyPublicationArray $event
     */
    public function __construct($is_legacy = null, \ArrayType\InsolvencyPublicationArray $event = null)
    {
        $this
            ->setIs_legacy($is_legacy)
            ->setEvent($event);
    }
    /**
     * Get is_legacy value
     * @return bool|null
     */
    public function getIs_legacy()
    {
        return $this->is_legacy;
    }
    /**
     * Set is_legacy value
     * @param bool $is_legacy
     * @return \StructType\InsolvencyPublications
     */
    public function setIs_legacy($is_legacy = null)
    {
        // validation for constraint: boolean
        if (!is_null($is_legacy) && !is_bool($is_legacy)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($is_legacy, true), gettype($is_legacy)), __LINE__);
        }
        $this->is_legacy = $is_legacy;
        return $this;
    }
    /**
     * Get event value
     * @return \ArrayType\InsolvencyPublicationArray|null
     */
    public function getEvent()
    {
        return $this->event;
    }
    /**
     * Set event value
     * @param \ArrayType\InsolvencyPublicationArray $event
     * @return \StructType\InsolvencyPublications
     */
    public function setEvent(\ArrayType\InsolvencyPublicationArray $event = null)
    {
        $this->event = $event;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsolvencyPublications
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
