<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2AdresLocatie StructType
 * @subpackage Structs
 */
class KadasterV2AdresLocatie extends AbstractStructBase
{
    /**
     * The locatie_binnenland
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2LocatieBinnenland
     */
    public $locatie_binnenland;
    /**
     * The locatie_buitenland
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2LocatieBuitenland
     */
    public $locatie_buitenland;
    /**
     * The locatie_postbus
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2LocatiePostbus
     */
    public $locatie_postbus;
    /**
     * Constructor method for KadasterV2AdresLocatie
     * @uses KadasterV2AdresLocatie::setLocatie_binnenland()
     * @uses KadasterV2AdresLocatie::setLocatie_buitenland()
     * @uses KadasterV2AdresLocatie::setLocatie_postbus()
     * @param \StructType\KadasterV2LocatieBinnenland $locatie_binnenland
     * @param \StructType\KadasterV2LocatieBuitenland $locatie_buitenland
     * @param \StructType\KadasterV2LocatiePostbus $locatie_postbus
     */
    public function __construct(\StructType\KadasterV2LocatieBinnenland $locatie_binnenland = null, \StructType\KadasterV2LocatieBuitenland $locatie_buitenland = null, \StructType\KadasterV2LocatiePostbus $locatie_postbus = null)
    {
        $this
            ->setLocatie_binnenland($locatie_binnenland)
            ->setLocatie_buitenland($locatie_buitenland)
            ->setLocatie_postbus($locatie_postbus);
    }
    /**
     * Get locatie_binnenland value
     * @return \StructType\KadasterV2LocatieBinnenland|null
     */
    public function getLocatie_binnenland()
    {
        return $this->locatie_binnenland;
    }
    /**
     * Set locatie_binnenland value
     * @param \StructType\KadasterV2LocatieBinnenland $locatie_binnenland
     * @return \StructType\KadasterV2AdresLocatie
     */
    public function setLocatie_binnenland(\StructType\KadasterV2LocatieBinnenland $locatie_binnenland = null)
    {
        $this->locatie_binnenland = $locatie_binnenland;
        return $this;
    }
    /**
     * Get locatie_buitenland value
     * @return \StructType\KadasterV2LocatieBuitenland|null
     */
    public function getLocatie_buitenland()
    {
        return $this->locatie_buitenland;
    }
    /**
     * Set locatie_buitenland value
     * @param \StructType\KadasterV2LocatieBuitenland $locatie_buitenland
     * @return \StructType\KadasterV2AdresLocatie
     */
    public function setLocatie_buitenland(\StructType\KadasterV2LocatieBuitenland $locatie_buitenland = null)
    {
        $this->locatie_buitenland = $locatie_buitenland;
        return $this;
    }
    /**
     * Get locatie_postbus value
     * @return \StructType\KadasterV2LocatiePostbus|null
     */
    public function getLocatie_postbus()
    {
        return $this->locatie_postbus;
    }
    /**
     * Set locatie_postbus value
     * @param \StructType\KadasterV2LocatiePostbus $locatie_postbus
     * @return \StructType\KadasterV2AdresLocatie
     */
    public function setLocatie_postbus(\StructType\KadasterV2LocatiePostbus $locatie_postbus = null)
    {
        $this->locatie_postbus = $locatie_postbus;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KadasterV2AdresLocatie
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
