<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2Coordinaat StructType
 * @subpackage Structs
 */
class KadasterV2Coordinaat extends AbstractStructBase
{
    /**
     * The identifier
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $identifier;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $description;
    /**
     * The rd_coordinaat
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\KadasterV2RDCoordinaat
     */
    public $rd_coordinaat;
    /**
     * Constructor method for KadasterV2Coordinaat
     * @uses KadasterV2Coordinaat::setIdentifier()
     * @uses KadasterV2Coordinaat::setName()
     * @uses KadasterV2Coordinaat::setDescription()
     * @uses KadasterV2Coordinaat::setRd_coordinaat()
     * @param int $identifier
     * @param int $name
     * @param int $description
     * @param \StructType\KadasterV2RDCoordinaat $rd_coordinaat
     */
    public function __construct($identifier = null, $name = null, $description = null, \StructType\KadasterV2RDCoordinaat $rd_coordinaat = null)
    {
        $this
            ->setIdentifier($identifier)
            ->setName($name)
            ->setDescription($description)
            ->setRd_coordinaat($rd_coordinaat);
    }
    /**
     * Get identifier value
     * @return int|null
     */
    public function getIdentifier()
    {
        return $this->identifier;
    }
    /**
     * Set identifier value
     * @param int $identifier
     * @return \StructType\KadasterV2Coordinaat
     */
    public function setIdentifier($identifier = null)
    {
        // validation for constraint: int
        if (!is_null($identifier) && !(is_int($identifier) || ctype_digit($identifier))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($identifier, true), gettype($identifier)), __LINE__);
        }
        $this->identifier = $identifier;
        return $this;
    }
    /**
     * Get name value
     * @return int|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param int $name
     * @return \StructType\KadasterV2Coordinaat
     */
    public function setName($name = null)
    {
        // validation for constraint: int
        if (!is_null($name) && !(is_int($name) || ctype_digit($name))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return int|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param int $description
     * @return \StructType\KadasterV2Coordinaat
     */
    public function setDescription($description = null)
    {
        // validation for constraint: int
        if (!is_null($description) && !(is_int($description) || ctype_digit($description))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
    /**
     * Get rd_coordinaat value
     * @return \StructType\KadasterV2RDCoordinaat|null
     */
    public function getRd_coordinaat()
    {
        return $this->rd_coordinaat;
    }
    /**
     * Set rd_coordinaat value
     * @param \StructType\KadasterV2RDCoordinaat $rd_coordinaat
     * @return \StructType\KadasterV2Coordinaat
     */
    public function setRd_coordinaat(\StructType\KadasterV2RDCoordinaat $rd_coordinaat = null)
    {
        $this->rd_coordinaat = $rd_coordinaat;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KadasterV2Coordinaat
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
