<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sepaIbanDetailsResponseType StructType
 * @subpackage Structs
 */
class SepaIbanDetailsResponseType extends AbstractStructBase
{
    /**
     * The iban_details
     * @var \StructType\SepaBankAccountIbanData
     */
    public $iban_details;
    /**
     * Constructor method for sepaIbanDetailsResponseType
     * @uses SepaIbanDetailsResponseType::setIban_details()
     * @param \StructType\SepaBankAccountIbanData $iban_details
     */
    public function __construct(\StructType\SepaBankAccountIbanData $iban_details = null)
    {
        $this
            ->setIban_details($iban_details);
    }
    /**
     * Get iban_details value
     * @return \StructType\SepaBankAccountIbanData|null
     */
    public function getIban_details()
    {
        return $this->iban_details;
    }
    /**
     * Set iban_details value
     * @param \StructType\SepaBankAccountIbanData $iban_details
     * @return \StructType\SepaIbanDetailsResponseType
     */
    public function setIban_details(\StructType\SepaBankAccountIbanData $iban_details = null)
    {
        $this->iban_details = $iban_details;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SepaIbanDetailsResponseType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
